#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include "cydevice.h"

/* ADC_DelSig_theACLK */
#define ADC_DelSig_theACLK__CFG0 CYDEV_CLKDIST_ACFG0_CFG0
#define ADC_DelSig_theACLK__CFG1 CYDEV_CLKDIST_ACFG0_CFG1
#define ADC_DelSig_theACLK__CFG2 CYDEV_CLKDIST_ACFG0_CFG2
#define ADC_DelSig_theACLK__CFG3 CYDEV_CLKDIST_ACFG0_CFG3
#define ADC_DelSig_theACLK__PM_ACT_CFG CYDEV_PM_ACT_CFG1
#define ADC_DelSig_theACLK__PM_ACT_MSK 0x01u
#define ADC_DelSig_theACLK__PM_STBY_CFG CYDEV_PM_STBY_CFG1
#define ADC_DelSig_theACLK__PM_STBY_MSK 0x01u

/* USBUART_bus_reset */
#define USBUART_bus_reset__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
#define USBUART_bus_reset__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
#define USBUART_bus_reset__INTC_MASK 0x80000000u
#define USBUART_bus_reset__INTC_NUMBER 31
#define USBUART_bus_reset__INTC_PRIOR_NUM 7
#define USBUART_bus_reset__INTC_PRIOR_REG CYDEV_NVIC_PRI_31
#define USBUART_bus_reset__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
#define USBUART_bus_reset__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* USBUART_arb_int */
#define USBUART_arb_int__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
#define USBUART_arb_int__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
#define USBUART_arb_int__INTC_MASK 0x400000u
#define USBUART_arb_int__INTC_NUMBER 22
#define USBUART_arb_int__INTC_PRIOR_NUM 7
#define USBUART_arb_int__INTC_PRIOR_REG CYDEV_NVIC_PRI_22
#define USBUART_arb_int__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
#define USBUART_arb_int__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* USBUART_ord_int */
#define USBUART_ord_int__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
#define USBUART_ord_int__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
#define USBUART_ord_int__INTC_MASK 0x2000000u
#define USBUART_ord_int__INTC_NUMBER 25
#define USBUART_ord_int__INTC_PRIOR_NUM 7
#define USBUART_ord_int__INTC_PRIOR_REG CYDEV_NVIC_PRI_25
#define USBUART_ord_int__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
#define USBUART_ord_int__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* USBUART_sof_int */
#define USBUART_sof_int__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
#define USBUART_sof_int__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
#define USBUART_sof_int__INTC_MASK 0x20000u
#define USBUART_sof_int__INTC_NUMBER 17
#define USBUART_sof_int__INTC_PRIOR_NUM 7
#define USBUART_sof_int__INTC_PRIOR_REG CYDEV_NVIC_PRI_17
#define USBUART_sof_int__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
#define USBUART_sof_int__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* VDAC8_XH_viDAC8 */
#define VDAC8_XH_viDAC8__CR0 CYDEV_ANAIF_CFG_DAC3_CR0
#define VDAC8_XH_viDAC8__CR1 CYDEV_ANAIF_CFG_DAC3_CR1
#define VDAC8_XH_viDAC8__D CYDEV_ANAIF_WRK_DAC3_D
#define VDAC8_XH_viDAC8__PM_ACT_CFG CYDEV_PM_ACT_CFG8
#define VDAC8_XH_viDAC8__PM_ACT_MSK 0x08u
#define VDAC8_XH_viDAC8__PM_STBY_CFG CYDEV_PM_STBY_CFG8
#define VDAC8_XH_viDAC8__PM_STBY_MSK 0x08u
#define VDAC8_XH_viDAC8__STROBE CYDEV_ANAIF_RT_DAC3_STROBE
#define VDAC8_XH_viDAC8__SW0 CYDEV_ANAIF_RT_DAC3_SW0
#define VDAC8_XH_viDAC8__SW2 CYDEV_ANAIF_RT_DAC3_SW2
#define VDAC8_XH_viDAC8__SW3 CYDEV_ANAIF_RT_DAC3_SW3
#define VDAC8_XH_viDAC8__SW4 CYDEV_ANAIF_RT_DAC3_SW4
#define VDAC8_XH_viDAC8__TR CYDEV_MFGCFG_ANAIF_DAC3_TR
#define VDAC8_XH_viDAC8__TST CYDEV_ANAIF_CFG_DAC3_TST

/* VDAC8_XL_viDAC8 */
#define VDAC8_XL_viDAC8__CR0 CYDEV_ANAIF_CFG_DAC1_CR0
#define VDAC8_XL_viDAC8__CR1 CYDEV_ANAIF_CFG_DAC1_CR1
#define VDAC8_XL_viDAC8__D CYDEV_ANAIF_WRK_DAC1_D
#define VDAC8_XL_viDAC8__PM_ACT_CFG CYDEV_PM_ACT_CFG8
#define VDAC8_XL_viDAC8__PM_ACT_MSK 0x02u
#define VDAC8_XL_viDAC8__PM_STBY_CFG CYDEV_PM_STBY_CFG8
#define VDAC8_XL_viDAC8__PM_STBY_MSK 0x02u
#define VDAC8_XL_viDAC8__STROBE CYDEV_ANAIF_RT_DAC1_STROBE
#define VDAC8_XL_viDAC8__SW0 CYDEV_ANAIF_RT_DAC1_SW0
#define VDAC8_XL_viDAC8__SW2 CYDEV_ANAIF_RT_DAC1_SW2
#define VDAC8_XL_viDAC8__SW3 CYDEV_ANAIF_RT_DAC1_SW3
#define VDAC8_XL_viDAC8__SW4 CYDEV_ANAIF_RT_DAC1_SW4
#define VDAC8_XL_viDAC8__TR CYDEV_MFGCFG_ANAIF_DAC1_TR
#define VDAC8_XL_viDAC8__TST CYDEV_ANAIF_CFG_DAC1_TST

/* VDAC8_YH_viDAC8 */
#define VDAC8_YH_viDAC8__CR0 CYDEV_ANAIF_CFG_DAC2_CR0
#define VDAC8_YH_viDAC8__CR1 CYDEV_ANAIF_CFG_DAC2_CR1
#define VDAC8_YH_viDAC8__D CYDEV_ANAIF_WRK_DAC2_D
#define VDAC8_YH_viDAC8__PM_ACT_CFG CYDEV_PM_ACT_CFG8
#define VDAC8_YH_viDAC8__PM_ACT_MSK 0x04u
#define VDAC8_YH_viDAC8__PM_STBY_CFG CYDEV_PM_STBY_CFG8
#define VDAC8_YH_viDAC8__PM_STBY_MSK 0x04u
#define VDAC8_YH_viDAC8__STROBE CYDEV_ANAIF_RT_DAC2_STROBE
#define VDAC8_YH_viDAC8__SW0 CYDEV_ANAIF_RT_DAC2_SW0
#define VDAC8_YH_viDAC8__SW2 CYDEV_ANAIF_RT_DAC2_SW2
#define VDAC8_YH_viDAC8__SW3 CYDEV_ANAIF_RT_DAC2_SW3
#define VDAC8_YH_viDAC8__SW4 CYDEV_ANAIF_RT_DAC2_SW4
#define VDAC8_YH_viDAC8__TR CYDEV_MFGCFG_ANAIF_DAC2_TR
#define VDAC8_YH_viDAC8__TST CYDEV_ANAIF_CFG_DAC2_TST

/* VDAC8_YL_viDAC8 */
#define VDAC8_YL_viDAC8__CR0 CYDEV_ANAIF_CFG_DAC0_CR0
#define VDAC8_YL_viDAC8__CR1 CYDEV_ANAIF_CFG_DAC0_CR1
#define VDAC8_YL_viDAC8__D CYDEV_ANAIF_WRK_DAC0_D
#define VDAC8_YL_viDAC8__PM_ACT_CFG CYDEV_PM_ACT_CFG8
#define VDAC8_YL_viDAC8__PM_ACT_MSK 0x01u
#define VDAC8_YL_viDAC8__PM_STBY_CFG CYDEV_PM_STBY_CFG8
#define VDAC8_YL_viDAC8__PM_STBY_MSK 0x01u
#define VDAC8_YL_viDAC8__STROBE CYDEV_ANAIF_RT_DAC0_STROBE
#define VDAC8_YL_viDAC8__SW0 CYDEV_ANAIF_RT_DAC0_SW0
#define VDAC8_YL_viDAC8__SW2 CYDEV_ANAIF_RT_DAC0_SW2
#define VDAC8_YL_viDAC8__SW3 CYDEV_ANAIF_RT_DAC0_SW3
#define VDAC8_YL_viDAC8__SW4 CYDEV_ANAIF_RT_DAC0_SW4
#define VDAC8_YL_viDAC8__TR CYDEV_MFGCFG_ANAIF_DAC0_TR
#define VDAC8_YL_viDAC8__TST CYDEV_ANAIF_CFG_DAC0_TST

/* ADC_DelSig_DEC */
#define ADC_DelSig_DEC__COHER CYDEV_DEC_COHER
#define ADC_DelSig_DEC__CR CYDEV_DEC_CR
#define ADC_DelSig_DEC__DR1 CYDEV_DEC_DR1
#define ADC_DelSig_DEC__DR2 CYDEV_DEC_DR2
#define ADC_DelSig_DEC__DR2H CYDEV_DEC_DR2H
#define ADC_DelSig_DEC__GCOR CYDEV_DEC_GCOR
#define ADC_DelSig_DEC__GCORH CYDEV_DEC_GCORH
#define ADC_DelSig_DEC__GVAL CYDEV_DEC_GVAL
#define ADC_DelSig_DEC__OCOR CYDEV_DEC_OCOR
#define ADC_DelSig_DEC__OCORH CYDEV_DEC_OCORH
#define ADC_DelSig_DEC__OCORM CYDEV_DEC_OCORM
#define ADC_DelSig_DEC__OUTSAMP CYDEV_DEC_OUTSAMP
#define ADC_DelSig_DEC__OUTSAMPH CYDEV_DEC_OUTSAMPH
#define ADC_DelSig_DEC__OUTSAMPM CYDEV_DEC_OUTSAMPM
#define ADC_DelSig_DEC__OUTSAMPS CYDEV_DEC_OUTSAMPS
#define ADC_DelSig_DEC__PM_ACT_CFG CYDEV_PM_ACT_CFG10
#define ADC_DelSig_DEC__PM_ACT_MSK 0x01u
#define ADC_DelSig_DEC__PM_STBY_CFG CYDEV_PM_STBY_CFG10
#define ADC_DelSig_DEC__PM_STBY_MSK 0x01u
#define ADC_DelSig_DEC__SHIFT1 CYDEV_DEC_SHIFT1
#define ADC_DelSig_DEC__SHIFT2 CYDEV_DEC_SHIFT2
#define ADC_DelSig_DEC__SR CYDEV_DEC_SR

/* ADC_DelSig_DSM */
#define ADC_DelSig_DSM__BUF0 CYDEV_ANAIF_CFG_DSM0_BUF0
#define ADC_DelSig_DSM__BUF1 CYDEV_ANAIF_CFG_DSM0_BUF1
#define ADC_DelSig_DSM__BUF2 CYDEV_ANAIF_CFG_DSM0_BUF2
#define ADC_DelSig_DSM__BUF3 CYDEV_ANAIF_CFG_DSM0_BUF3
#define ADC_DelSig_DSM__CLK CYDEV_ANAIF_RT_DSM0_CLK
#define ADC_DelSig_DSM__CR0 CYDEV_ANAIF_CFG_DSM0_CR0
#define ADC_DelSig_DSM__CR1 CYDEV_ANAIF_CFG_DSM0_CR1
#define ADC_DelSig_DSM__CR10 CYDEV_ANAIF_CFG_DSM0_CR10
#define ADC_DelSig_DSM__CR11 CYDEV_ANAIF_CFG_DSM0_CR11
#define ADC_DelSig_DSM__CR12 CYDEV_ANAIF_CFG_DSM0_CR12
#define ADC_DelSig_DSM__CR13 CYDEV_ANAIF_CFG_DSM0_CR13
#define ADC_DelSig_DSM__CR14 CYDEV_ANAIF_CFG_DSM0_CR14
#define ADC_DelSig_DSM__CR15 CYDEV_ANAIF_CFG_DSM0_CR15
#define ADC_DelSig_DSM__CR16 CYDEV_ANAIF_CFG_DSM0_CR16
#define ADC_DelSig_DSM__CR17 CYDEV_ANAIF_CFG_DSM0_CR17
#define ADC_DelSig_DSM__CR2 CYDEV_ANAIF_CFG_DSM0_CR2
#define ADC_DelSig_DSM__CR3 CYDEV_ANAIF_CFG_DSM0_CR3
#define ADC_DelSig_DSM__CR4 CYDEV_ANAIF_CFG_DSM0_CR4
#define ADC_DelSig_DSM__CR5 CYDEV_ANAIF_CFG_DSM0_CR5
#define ADC_DelSig_DSM__CR6 CYDEV_ANAIF_CFG_DSM0_CR6
#define ADC_DelSig_DSM__CR7 CYDEV_ANAIF_CFG_DSM0_CR7
#define ADC_DelSig_DSM__CR8 CYDEV_ANAIF_CFG_DSM0_CR8
#define ADC_DelSig_DSM__CR9 CYDEV_ANAIF_CFG_DSM0_CR9
#define ADC_DelSig_DSM__DEM0 CYDEV_ANAIF_CFG_DSM0_DEM0
#define ADC_DelSig_DSM__DEM1 CYDEV_ANAIF_CFG_DSM0_DEM1
#define ADC_DelSig_DSM__MISC CYDEV_ANAIF_CFG_DSM0_MISC
#define ADC_DelSig_DSM__OUT0 CYDEV_ANAIF_WRK_DSM0_OUT0
#define ADC_DelSig_DSM__OUT1 CYDEV_ANAIF_WRK_DSM0_OUT1
#define ADC_DelSig_DSM__REF0 CYDEV_ANAIF_CFG_DSM0_REF0
#define ADC_DelSig_DSM__REF1 CYDEV_ANAIF_CFG_DSM0_REF1
#define ADC_DelSig_DSM__REF2 CYDEV_ANAIF_CFG_DSM0_REF2
#define ADC_DelSig_DSM__REF3 CYDEV_ANAIF_CFG_DSM0_REF3
#define ADC_DelSig_DSM__RSVD1 CYDEV_ANAIF_CFG_DSM0_RSVD1
#define ADC_DelSig_DSM__SW0 CYDEV_ANAIF_RT_DSM0_SW0
#define ADC_DelSig_DSM__SW2 CYDEV_ANAIF_RT_DSM0_SW2
#define ADC_DelSig_DSM__SW3 CYDEV_ANAIF_RT_DSM0_SW3
#define ADC_DelSig_DSM__SW4 CYDEV_ANAIF_RT_DSM0_SW4
#define ADC_DelSig_DSM__SW6 CYDEV_ANAIF_RT_DSM0_SW6
#define ADC_DelSig_DSM__TR0 CYDEV_MFGCFG_ANAIF_NPUMP_DSM_TR0
#define ADC_DelSig_DSM__TST0 CYDEV_ANAIF_CFG_DSM0_TST0
#define ADC_DelSig_DSM__TST1 CYDEV_ANAIF_CFG_DSM0_TST1

/* ADC_DelSig_IRQ */
#define ADC_DelSig_IRQ__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
#define ADC_DelSig_IRQ__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
#define ADC_DelSig_IRQ__INTC_MASK 0x20000000u
#define ADC_DelSig_IRQ__INTC_NUMBER 29
#define ADC_DelSig_IRQ__INTC_PRIOR_NUM 7
#define ADC_DelSig_IRQ__INTC_PRIOR_REG CYDEV_NVIC_PRI_29
#define ADC_DelSig_IRQ__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
#define ADC_DelSig_IRQ__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* COMP_XH_ctComp */
#define COMP_XH_ctComp__CLK CYDEV_ANAIF_RT_CMP3_CLK
#define COMP_XH_ctComp__CR CYDEV_ANAIF_CFG_CMP3_CR
#define COMP_XH_ctComp__LUT__CR CYDEV_ANAIF_CFG_LUT3_CR
#define COMP_XH_ctComp__LUT__MSK CYDEV_ANAIF_WRK_LUT_MSK
#define COMP_XH_ctComp__LUT__MSK_MASK 0x08u
#define COMP_XH_ctComp__LUT__MSK_SHIFT 3
#define COMP_XH_ctComp__LUT__MX CYDEV_ANAIF_CFG_LUT3_MX
#define COMP_XH_ctComp__LUT__SR CYDEV_ANAIF_WRK_LUT_SR
#define COMP_XH_ctComp__LUT__SR_MASK 0x08u
#define COMP_XH_ctComp__LUT__SR_SHIFT 3
#define COMP_XH_ctComp__PM_ACT_CFG CYDEV_PM_ACT_CFG7
#define COMP_XH_ctComp__PM_ACT_MSK 0x08u
#define COMP_XH_ctComp__PM_STBY_CFG CYDEV_PM_STBY_CFG7
#define COMP_XH_ctComp__PM_STBY_MSK 0x08u
#define COMP_XH_ctComp__SW0 CYDEV_ANAIF_RT_CMP3_SW0
#define COMP_XH_ctComp__SW2 CYDEV_ANAIF_RT_CMP3_SW2
#define COMP_XH_ctComp__SW3 CYDEV_ANAIF_RT_CMP3_SW3
#define COMP_XH_ctComp__SW4 CYDEV_ANAIF_RT_CMP3_SW4
#define COMP_XH_ctComp__SW6 CYDEV_ANAIF_RT_CMP3_SW6
#define COMP_XH_ctComp__TR CYDEV_MFGCFG_ANAIF_CMP3_TR
#define COMP_XH_ctComp__WRK CYDEV_ANAIF_WRK_CMP_WRK
#define COMP_XH_ctComp__WRK_MASK 0x08u
#define COMP_XH_ctComp__WRK_SHIFT 3

/* COMP_XL_ctComp */
#define COMP_XL_ctComp__CLK CYDEV_ANAIF_RT_CMP1_CLK
#define COMP_XL_ctComp__CR CYDEV_ANAIF_CFG_CMP1_CR
#define COMP_XL_ctComp__LUT__CR CYDEV_ANAIF_CFG_LUT1_CR
#define COMP_XL_ctComp__LUT__MSK CYDEV_ANAIF_WRK_LUT_MSK
#define COMP_XL_ctComp__LUT__MSK_MASK 0x02u
#define COMP_XL_ctComp__LUT__MSK_SHIFT 1
#define COMP_XL_ctComp__LUT__MX CYDEV_ANAIF_CFG_LUT1_MX
#define COMP_XL_ctComp__LUT__SR CYDEV_ANAIF_WRK_LUT_SR
#define COMP_XL_ctComp__LUT__SR_MASK 0x02u
#define COMP_XL_ctComp__LUT__SR_SHIFT 1
#define COMP_XL_ctComp__PM_ACT_CFG CYDEV_PM_ACT_CFG7
#define COMP_XL_ctComp__PM_ACT_MSK 0x04u
#define COMP_XL_ctComp__PM_STBY_CFG CYDEV_PM_STBY_CFG7
#define COMP_XL_ctComp__PM_STBY_MSK 0x04u
#define COMP_XL_ctComp__SW0 CYDEV_ANAIF_RT_CMP1_SW0
#define COMP_XL_ctComp__SW2 CYDEV_ANAIF_RT_CMP1_SW2
#define COMP_XL_ctComp__SW3 CYDEV_ANAIF_RT_CMP1_SW3
#define COMP_XL_ctComp__SW4 CYDEV_ANAIF_RT_CMP1_SW4
#define COMP_XL_ctComp__SW6 CYDEV_ANAIF_RT_CMP1_SW6
#define COMP_XL_ctComp__TR CYDEV_MFGCFG_ANAIF_CMP1_TR
#define COMP_XL_ctComp__WRK CYDEV_ANAIF_WRK_CMP_WRK
#define COMP_XL_ctComp__WRK_MASK 0x02u
#define COMP_XL_ctComp__WRK_SHIFT 1

/* COMP_YH_ctComp */
#define COMP_YH_ctComp__CLK CYDEV_ANAIF_RT_CMP0_CLK
#define COMP_YH_ctComp__CR CYDEV_ANAIF_CFG_CMP0_CR
#define COMP_YH_ctComp__LUT__CR CYDEV_ANAIF_CFG_LUT0_CR
#define COMP_YH_ctComp__LUT__MSK CYDEV_ANAIF_WRK_LUT_MSK
#define COMP_YH_ctComp__LUT__MSK_MASK 0x01u
#define COMP_YH_ctComp__LUT__MSK_SHIFT 0
#define COMP_YH_ctComp__LUT__MX CYDEV_ANAIF_CFG_LUT0_MX
#define COMP_YH_ctComp__LUT__SR CYDEV_ANAIF_WRK_LUT_SR
#define COMP_YH_ctComp__LUT__SR_MASK 0x01u
#define COMP_YH_ctComp__LUT__SR_SHIFT 0
#define COMP_YH_ctComp__PM_ACT_CFG CYDEV_PM_ACT_CFG7
#define COMP_YH_ctComp__PM_ACT_MSK 0x01u
#define COMP_YH_ctComp__PM_STBY_CFG CYDEV_PM_STBY_CFG7
#define COMP_YH_ctComp__PM_STBY_MSK 0x01u
#define COMP_YH_ctComp__SW0 CYDEV_ANAIF_RT_CMP0_SW0
#define COMP_YH_ctComp__SW2 CYDEV_ANAIF_RT_CMP0_SW2
#define COMP_YH_ctComp__SW3 CYDEV_ANAIF_RT_CMP0_SW3
#define COMP_YH_ctComp__SW4 CYDEV_ANAIF_RT_CMP0_SW4
#define COMP_YH_ctComp__SW6 CYDEV_ANAIF_RT_CMP0_SW6
#define COMP_YH_ctComp__TR CYDEV_MFGCFG_ANAIF_CMP0_TR
#define COMP_YH_ctComp__WRK CYDEV_ANAIF_WRK_CMP_WRK
#define COMP_YH_ctComp__WRK_MASK 0x01u
#define COMP_YH_ctComp__WRK_SHIFT 0

/* COMP_YL_ctComp */
#define COMP_YL_ctComp__CLK CYDEV_ANAIF_RT_CMP2_CLK
#define COMP_YL_ctComp__CR CYDEV_ANAIF_CFG_CMP2_CR
#define COMP_YL_ctComp__LUT__CR CYDEV_ANAIF_CFG_LUT2_CR
#define COMP_YL_ctComp__LUT__MSK CYDEV_ANAIF_WRK_LUT_MSK
#define COMP_YL_ctComp__LUT__MSK_MASK 0x04u
#define COMP_YL_ctComp__LUT__MSK_SHIFT 2
#define COMP_YL_ctComp__LUT__MX CYDEV_ANAIF_CFG_LUT2_MX
#define COMP_YL_ctComp__LUT__SR CYDEV_ANAIF_WRK_LUT_SR
#define COMP_YL_ctComp__LUT__SR_MASK 0x04u
#define COMP_YL_ctComp__LUT__SR_SHIFT 2
#define COMP_YL_ctComp__PM_ACT_CFG CYDEV_PM_ACT_CFG7
#define COMP_YL_ctComp__PM_ACT_MSK 0x02u
#define COMP_YL_ctComp__PM_STBY_CFG CYDEV_PM_STBY_CFG7
#define COMP_YL_ctComp__PM_STBY_MSK 0x02u
#define COMP_YL_ctComp__SW0 CYDEV_ANAIF_RT_CMP2_SW0
#define COMP_YL_ctComp__SW2 CYDEV_ANAIF_RT_CMP2_SW2
#define COMP_YL_ctComp__SW3 CYDEV_ANAIF_RT_CMP2_SW3
#define COMP_YL_ctComp__SW4 CYDEV_ANAIF_RT_CMP2_SW4
#define COMP_YL_ctComp__SW6 CYDEV_ANAIF_RT_CMP2_SW6
#define COMP_YL_ctComp__TR CYDEV_MFGCFG_ANAIF_CMP2_TR
#define COMP_YL_ctComp__WRK CYDEV_ANAIF_WRK_CMP_WRK
#define COMP_YL_ctComp__WRK_MASK 0x04u
#define COMP_YL_ctComp__WRK_SHIFT 2

/* SPIM_IntClock */
#define SPIM_IntClock__CFG0 CYDEV_CLKDIST_DCFG0_CFG0
#define SPIM_IntClock__CFG1 CYDEV_CLKDIST_DCFG0_CFG1
#define SPIM_IntClock__CFG2 CYDEV_CLKDIST_DCFG0_CFG2
#define SPIM_IntClock__PM_ACT_CFG CYDEV_PM_ACT_CFG2
#define SPIM_IntClock__PM_ACT_MSK 0x01u
#define SPIM_IntClock__PM_STBY_CFG CYDEV_PM_STBY_CFG2
#define SPIM_IntClock__PM_STBY_MSK 0x01u

/* UART_IntClock */
#define UART_IntClock__CFG0 CYDEV_CLKDIST_DCFG1_CFG0
#define UART_IntClock__CFG1 CYDEV_CLKDIST_DCFG1_CFG1
#define UART_IntClock__CFG2 CYDEV_CLKDIST_DCFG1_CFG2
#define UART_IntClock__PM_ACT_CFG CYDEV_PM_ACT_CFG2
#define UART_IntClock__PM_ACT_MSK 0x02u
#define UART_IntClock__PM_STBY_CFG CYDEV_PM_STBY_CFG2
#define UART_IntClock__PM_STBY_MSK 0x02u

/* OpAmp_X_ABuf */
#define OpAmp_X_ABuf__CR CYDEV_ANAIF_CFG_ABUF3_CR
#define OpAmp_X_ABuf__MX CYDEV_ANAIF_RT_ABUF3_MX
#define OpAmp_X_ABuf__NPUMP_ABUF_TR0 CYDEV_MFGCFG_ANAIF_NPUMP_ABUF_TR0
#define OpAmp_X_ABuf__PM_ACT_CFG CYDEV_PM_ACT_CFG4
#define OpAmp_X_ABuf__PM_ACT_MSK 0x08u
#define OpAmp_X_ABuf__PM_STBY_CFG CYDEV_PM_STBY_CFG4
#define OpAmp_X_ABuf__PM_STBY_MSK 0x08u
#define OpAmp_X_ABuf__RSVD CYDEV_ANAIF_CFG_ABUF3_RSVD
#define OpAmp_X_ABuf__SW CYDEV_ANAIF_RT_ABUF3_SW
#define OpAmp_X_ABuf__TR0 CYDEV_MFGCFG_ANAIF_ABUF3_TR0
#define OpAmp_X_ABuf__TR1 CYDEV_MFGCFG_ANAIF_ABUF3_TR1

/* OpAmp_Y_ABuf */
#define OpAmp_Y_ABuf__CR CYDEV_ANAIF_CFG_ABUF2_CR
#define OpAmp_Y_ABuf__MX CYDEV_ANAIF_RT_ABUF2_MX
#define OpAmp_Y_ABuf__NPUMP_ABUF_TR0 CYDEV_MFGCFG_ANAIF_NPUMP_ABUF_TR0
#define OpAmp_Y_ABuf__PM_ACT_CFG CYDEV_PM_ACT_CFG4
#define OpAmp_Y_ABuf__PM_ACT_MSK 0x04u
#define OpAmp_Y_ABuf__PM_STBY_CFG CYDEV_PM_STBY_CFG4
#define OpAmp_Y_ABuf__PM_STBY_MSK 0x04u
#define OpAmp_Y_ABuf__RSVD CYDEV_ANAIF_CFG_ABUF2_RSVD
#define OpAmp_Y_ABuf__SW CYDEV_ANAIF_RT_ABUF2_SW
#define OpAmp_Y_ABuf__TR0 CYDEV_MFGCFG_ANAIF_ABUF2_TR0
#define OpAmp_Y_ABuf__TR1 CYDEV_MFGCFG_ANAIF_ABUF2_TR1

/* USBUART_ep_0 */
#define USBUART_ep_0__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
#define USBUART_ep_0__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
#define USBUART_ep_0__INTC_MASK 0x40000000u
#define USBUART_ep_0__INTC_NUMBER 30
#define USBUART_ep_0__INTC_PRIOR_NUM 7
#define USBUART_ep_0__INTC_PRIOR_REG CYDEV_NVIC_PRI_30
#define USBUART_ep_0__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
#define USBUART_ep_0__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* USBUART_ep_1 */
#define USBUART_ep_1__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
#define USBUART_ep_1__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
#define USBUART_ep_1__INTC_MASK 0x4000000u
#define USBUART_ep_1__INTC_NUMBER 26
#define USBUART_ep_1__INTC_PRIOR_NUM 7
#define USBUART_ep_1__INTC_PRIOR_REG CYDEV_NVIC_PRI_26
#define USBUART_ep_1__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
#define USBUART_ep_1__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* USBUART_ep_2 */
#define USBUART_ep_2__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
#define USBUART_ep_2__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
#define USBUART_ep_2__INTC_MASK 0x10000000u
#define USBUART_ep_2__INTC_NUMBER 28
#define USBUART_ep_2__INTC_PRIOR_NUM 7
#define USBUART_ep_2__INTC_PRIOR_REG CYDEV_NVIC_PRI_28
#define USBUART_ep_2__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
#define USBUART_ep_2__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* USBUART_ep_3 */
#define USBUART_ep_3__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
#define USBUART_ep_3__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
#define USBUART_ep_3__INTC_MASK 0x8000000u
#define USBUART_ep_3__INTC_NUMBER 27
#define USBUART_ep_3__INTC_PRIOR_NUM 7
#define USBUART_ep_3__INTC_PRIOR_REG CYDEV_NVIC_PRI_27
#define USBUART_ep_3__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
#define USBUART_ep_3__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* USBUART_ep_4 */
#define USBUART_ep_4__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
#define USBUART_ep_4__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
#define USBUART_ep_4__INTC_MASK 0x02u
#define USBUART_ep_4__INTC_NUMBER 1
#define USBUART_ep_4__INTC_PRIOR_NUM 7
#define USBUART_ep_4__INTC_PRIOR_REG CYDEV_NVIC_PRI_1
#define USBUART_ep_4__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
#define USBUART_ep_4__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* USBUART_ep_5 */
#define USBUART_ep_5__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
#define USBUART_ep_5__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
#define USBUART_ep_5__INTC_MASK 0x800000u
#define USBUART_ep_5__INTC_NUMBER 23
#define USBUART_ep_5__INTC_PRIOR_NUM 7
#define USBUART_ep_5__INTC_PRIOR_REG CYDEV_NVIC_PRI_23
#define USBUART_ep_5__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
#define USBUART_ep_5__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* USBUART_ep_6 */
#define USBUART_ep_6__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
#define USBUART_ep_6__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
#define USBUART_ep_6__INTC_MASK 0x01u
#define USBUART_ep_6__INTC_NUMBER 0
#define USBUART_ep_6__INTC_PRIOR_NUM 7
#define USBUART_ep_6__INTC_PRIOR_REG CYDEV_NVIC_PRI_0
#define USBUART_ep_6__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
#define USBUART_ep_6__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* USBUART_ep_7 */
#define USBUART_ep_7__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
#define USBUART_ep_7__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
#define USBUART_ep_7__INTC_MASK 0x200000u
#define USBUART_ep_7__INTC_NUMBER 21
#define USBUART_ep_7__INTC_PRIOR_NUM 7
#define USBUART_ep_7__INTC_PRIOR_REG CYDEV_NVIC_PRI_21
#define USBUART_ep_7__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
#define USBUART_ep_7__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* USBUART_ep_8 */
#define USBUART_ep_8__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
#define USBUART_ep_8__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
#define USBUART_ep_8__INTC_MASK 0x1000000u
#define USBUART_ep_8__INTC_NUMBER 24
#define USBUART_ep_8__INTC_PRIOR_NUM 7
#define USBUART_ep_8__INTC_PRIOR_REG CYDEV_NVIC_PRI_24
#define USBUART_ep_8__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
#define USBUART_ep_8__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* LCD_LCDPort */
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYDEV_IO_PC_PRT2_PC0
#define LCD_LCDPort__0__PORT 2
#define LCD_LCDPort__0__SHIFT 0
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYDEV_IO_PC_PRT2_PC1
#define LCD_LCDPort__1__PORT 2
#define LCD_LCDPort__1__SHIFT 1
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYDEV_IO_PC_PRT2_PC2
#define LCD_LCDPort__2__PORT 2
#define LCD_LCDPort__2__SHIFT 2
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYDEV_IO_PC_PRT2_PC3
#define LCD_LCDPort__3__PORT 2
#define LCD_LCDPort__3__SHIFT 3
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYDEV_IO_PC_PRT2_PC4
#define LCD_LCDPort__4__PORT 2
#define LCD_LCDPort__4__SHIFT 4
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYDEV_IO_PC_PRT2_PC5
#define LCD_LCDPort__5__PORT 2
#define LCD_LCDPort__5__SHIFT 5
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYDEV_IO_PC_PRT2_PC6
#define LCD_LCDPort__6__PORT 2
#define LCD_LCDPort__6__SHIFT 6
#define LCD_LCDPort__AG CYDEV_IO_PRT_PRT2_AG
#define LCD_LCDPort__AMUX CYDEV_IO_PRT_PRT2_AMUX
#define LCD_LCDPort__BIE CYDEV_IO_PRT_PRT2_BIE
#define LCD_LCDPort__BIT_MASK CYDEV_IO_PRT_PRT2_BIT_MASK
#define LCD_LCDPort__BYP CYDEV_IO_PRT_PRT2_BYP
#define LCD_LCDPort__CTL CYDEV_IO_PRT_PRT2_CTL
#define LCD_LCDPort__DM0 CYDEV_IO_PRT_PRT2_DM0
#define LCD_LCDPort__DM1 CYDEV_IO_PRT_PRT2_DM1
#define LCD_LCDPort__DM2 CYDEV_IO_PRT_PRT2_DM2
#define LCD_LCDPort__DR CYDEV_IO_PRT_PRT2_DR
#define LCD_LCDPort__INP_DIS CYDEV_IO_PRT_PRT2_INP_DIS
#define LCD_LCDPort__LCD_COM_SEG CYDEV_IO_PRT_PRT2_LCD_COM_SEG
#define LCD_LCDPort__LCD_EN CYDEV_IO_PRT_PRT2_LCD_EN
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PORT 2
#define LCD_LCDPort__PRT CYDEV_IO_PRT_PRT2_PRT
#define LCD_LCDPort__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT2_CAPS_SEL
#define LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT2_DBL_SYNC_IN
#define LCD_LCDPort__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT2_OE_SEL0
#define LCD_LCDPort__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT2_OE_SEL1
#define LCD_LCDPort__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT2_OUT_SEL0
#define LCD_LCDPort__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT2_OUT_SEL1
#define LCD_LCDPort__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT2_SYNC_OUT
#define LCD_LCDPort__PS CYDEV_IO_PRT_PRT2_PS
#define LCD_LCDPort__SHIFT 0
#define LCD_LCDPort__SLW CYDEV_IO_PRT_PRT2_SLW

/* USBUART_USB */
#define USBUART_USB__ARB_CFG CYDEV_USB_ARB_CFG
#define USBUART_USB__ARB_EP1_CFG CYDEV_USB_ARB_EP1_CFG
#define USBUART_USB__ARB_EP1_INT_EN CYDEV_USB_ARB_EP1_INT_EN
#define USBUART_USB__ARB_EP1_SR CYDEV_USB_ARB_EP1_SR
#define USBUART_USB__ARB_EP2_CFG CYDEV_USB_ARB_EP2_CFG
#define USBUART_USB__ARB_EP2_INT_EN CYDEV_USB_ARB_EP2_INT_EN
#define USBUART_USB__ARB_EP2_SR CYDEV_USB_ARB_EP2_SR
#define USBUART_USB__ARB_EP3_CFG CYDEV_USB_ARB_EP3_CFG
#define USBUART_USB__ARB_EP3_INT_EN CYDEV_USB_ARB_EP3_INT_EN
#define USBUART_USB__ARB_EP3_SR CYDEV_USB_ARB_EP3_SR
#define USBUART_USB__ARB_EP4_CFG CYDEV_USB_ARB_EP4_CFG
#define USBUART_USB__ARB_EP4_INT_EN CYDEV_USB_ARB_EP4_INT_EN
#define USBUART_USB__ARB_EP4_SR CYDEV_USB_ARB_EP4_SR
#define USBUART_USB__ARB_EP5_CFG CYDEV_USB_ARB_EP5_CFG
#define USBUART_USB__ARB_EP5_INT_EN CYDEV_USB_ARB_EP5_INT_EN
#define USBUART_USB__ARB_EP5_SR CYDEV_USB_ARB_EP5_SR
#define USBUART_USB__ARB_EP6_CFG CYDEV_USB_ARB_EP6_CFG
#define USBUART_USB__ARB_EP6_INT_EN CYDEV_USB_ARB_EP6_INT_EN
#define USBUART_USB__ARB_EP6_SR CYDEV_USB_ARB_EP6_SR
#define USBUART_USB__ARB_EP7_CFG CYDEV_USB_ARB_EP7_CFG
#define USBUART_USB__ARB_EP7_INT_EN CYDEV_USB_ARB_EP7_INT_EN
#define USBUART_USB__ARB_EP7_SR CYDEV_USB_ARB_EP7_SR
#define USBUART_USB__ARB_EP8_CFG CYDEV_USB_ARB_EP8_CFG
#define USBUART_USB__ARB_EP8_INT_EN CYDEV_USB_ARB_EP8_INT_EN
#define USBUART_USB__ARB_EP8_SR CYDEV_USB_ARB_EP8_SR
#define USBUART_USB__ARB_INT_EN CYDEV_USB_ARB_INT_EN
#define USBUART_USB__ARB_INT_SR CYDEV_USB_ARB_INT_SR
#define USBUART_USB__ARB_RW1_DR CYDEV_USB_ARB_RW1_DR
#define USBUART_USB__ARB_RW1_RA CYDEV_USB_ARB_RW1_RA
#define USBUART_USB__ARB_RW1_RA_MSB CYDEV_USB_ARB_RW1_RA_MSB
#define USBUART_USB__ARB_RW1_WA CYDEV_USB_ARB_RW1_WA
#define USBUART_USB__ARB_RW1_WA_MSB CYDEV_USB_ARB_RW1_WA_MSB
#define USBUART_USB__ARB_RW2_DR CYDEV_USB_ARB_RW2_DR
#define USBUART_USB__ARB_RW2_RA CYDEV_USB_ARB_RW2_RA
#define USBUART_USB__ARB_RW2_RA_MSB CYDEV_USB_ARB_RW2_RA_MSB
#define USBUART_USB__ARB_RW2_WA CYDEV_USB_ARB_RW2_WA
#define USBUART_USB__ARB_RW2_WA_MSB CYDEV_USB_ARB_RW2_WA_MSB
#define USBUART_USB__ARB_RW3_DR CYDEV_USB_ARB_RW3_DR
#define USBUART_USB__ARB_RW3_RA CYDEV_USB_ARB_RW3_RA
#define USBUART_USB__ARB_RW3_RA_MSB CYDEV_USB_ARB_RW3_RA_MSB
#define USBUART_USB__ARB_RW3_WA CYDEV_USB_ARB_RW3_WA
#define USBUART_USB__ARB_RW3_WA_MSB CYDEV_USB_ARB_RW3_WA_MSB
#define USBUART_USB__ARB_RW4_DR CYDEV_USB_ARB_RW4_DR
#define USBUART_USB__ARB_RW4_RA CYDEV_USB_ARB_RW4_RA
#define USBUART_USB__ARB_RW4_RA_MSB CYDEV_USB_ARB_RW4_RA_MSB
#define USBUART_USB__ARB_RW4_WA CYDEV_USB_ARB_RW4_WA
#define USBUART_USB__ARB_RW4_WA_MSB CYDEV_USB_ARB_RW4_WA_MSB
#define USBUART_USB__ARB_RW5_DR CYDEV_USB_ARB_RW5_DR
#define USBUART_USB__ARB_RW5_RA CYDEV_USB_ARB_RW5_RA
#define USBUART_USB__ARB_RW5_RA_MSB CYDEV_USB_ARB_RW5_RA_MSB
#define USBUART_USB__ARB_RW5_WA CYDEV_USB_ARB_RW5_WA
#define USBUART_USB__ARB_RW5_WA_MSB CYDEV_USB_ARB_RW5_WA_MSB
#define USBUART_USB__ARB_RW6_DR CYDEV_USB_ARB_RW6_DR
#define USBUART_USB__ARB_RW6_RA CYDEV_USB_ARB_RW6_RA
#define USBUART_USB__ARB_RW6_RA_MSB CYDEV_USB_ARB_RW6_RA_MSB
#define USBUART_USB__ARB_RW6_WA CYDEV_USB_ARB_RW6_WA
#define USBUART_USB__ARB_RW6_WA_MSB CYDEV_USB_ARB_RW6_WA_MSB
#define USBUART_USB__ARB_RW7_DR CYDEV_USB_ARB_RW7_DR
#define USBUART_USB__ARB_RW7_RA CYDEV_USB_ARB_RW7_RA
#define USBUART_USB__ARB_RW7_RA_MSB CYDEV_USB_ARB_RW7_RA_MSB
#define USBUART_USB__ARB_RW7_WA CYDEV_USB_ARB_RW7_WA
#define USBUART_USB__ARB_RW7_WA_MSB CYDEV_USB_ARB_RW7_WA_MSB
#define USBUART_USB__ARB_RW8_DR CYDEV_USB_ARB_RW8_DR
#define USBUART_USB__ARB_RW8_RA CYDEV_USB_ARB_RW8_RA
#define USBUART_USB__ARB_RW8_RA_MSB CYDEV_USB_ARB_RW8_RA_MSB
#define USBUART_USB__ARB_RW8_WA CYDEV_USB_ARB_RW8_WA
#define USBUART_USB__ARB_RW8_WA_MSB CYDEV_USB_ARB_RW8_WA_MSB
#define USBUART_USB__BUF_SIZE CYDEV_USB_BUF_SIZE
#define USBUART_USB__BUS_RST_CNT CYDEV_USB_BUS_RST_CNT
#define USBUART_USB__CR0 CYDEV_USB_CR0
#define USBUART_USB__CR1 CYDEV_USB_CR1
#define USBUART_USB__CWA CYDEV_USB_CWA
#define USBUART_USB__CWA_MSB CYDEV_USB_CWA_MSB
#define USBUART_USB__DMA_THRES CYDEV_USB_DMA_THRES
#define USBUART_USB__DMA_THRES_MSB CYDEV_USB_DMA_THRES_MSB
#define USBUART_USB__EP_ACTIVE CYDEV_USB_EP_ACTIVE
#define USBUART_USB__EP_TYPE CYDEV_USB_EP_TYPE
#define USBUART_USB__EP0_CNT CYDEV_USB_EP0_CNT
#define USBUART_USB__EP0_CR CYDEV_USB_EP0_CR
#define USBUART_USB__EP0_DR0 CYDEV_USB_EP0_DR0
#define USBUART_USB__EP0_DR1 CYDEV_USB_EP0_DR1
#define USBUART_USB__EP0_DR2 CYDEV_USB_EP0_DR2
#define USBUART_USB__EP0_DR3 CYDEV_USB_EP0_DR3
#define USBUART_USB__EP0_DR4 CYDEV_USB_EP0_DR4
#define USBUART_USB__EP0_DR5 CYDEV_USB_EP0_DR5
#define USBUART_USB__EP0_DR6 CYDEV_USB_EP0_DR6
#define USBUART_USB__EP0_DR7 CYDEV_USB_EP0_DR7
#define USBUART_USB__MEM_DATA CYDEV_USB_MEM_DATA_MBASE
#define USBUART_USB__OSCLK_DR0 CYDEV_USB_OSCLK_DR0
#define USBUART_USB__OSCLK_DR1 CYDEV_USB_OSCLK_DR1
#define USBUART_USB__PM_ACT_CFG CYDEV_PM_ACT_CFG5
#define USBUART_USB__PM_ACT_MSK 0x01u
#define USBUART_USB__PM_STBY_CFG CYDEV_PM_STBY_CFG5
#define USBUART_USB__PM_STBY_MSK 0x01u
#define USBUART_USB__SIE_EP_INT_EN CYDEV_USB_SIE_EP_INT_EN
#define USBUART_USB__SIE_EP_INT_SR CYDEV_USB_SIE_EP_INT_SR
#define USBUART_USB__SIE_EP1_CNT0 CYDEV_USB_SIE_EP1_CNT0
#define USBUART_USB__SIE_EP1_CNT1 CYDEV_USB_SIE_EP1_CNT1
#define USBUART_USB__SIE_EP1_CR0 CYDEV_USB_SIE_EP1_CR0
#define USBUART_USB__SIE_EP2_CNT0 CYDEV_USB_SIE_EP2_CNT0
#define USBUART_USB__SIE_EP2_CNT1 CYDEV_USB_SIE_EP2_CNT1
#define USBUART_USB__SIE_EP2_CR0 CYDEV_USB_SIE_EP2_CR0
#define USBUART_USB__SIE_EP3_CNT0 CYDEV_USB_SIE_EP3_CNT0
#define USBUART_USB__SIE_EP3_CNT1 CYDEV_USB_SIE_EP3_CNT1
#define USBUART_USB__SIE_EP3_CR0 CYDEV_USB_SIE_EP3_CR0
#define USBUART_USB__SIE_EP4_CNT0 CYDEV_USB_SIE_EP4_CNT0
#define USBUART_USB__SIE_EP4_CNT1 CYDEV_USB_SIE_EP4_CNT1
#define USBUART_USB__SIE_EP4_CR0 CYDEV_USB_SIE_EP4_CR0
#define USBUART_USB__SIE_EP5_CNT0 CYDEV_USB_SIE_EP5_CNT0
#define USBUART_USB__SIE_EP5_CNT1 CYDEV_USB_SIE_EP5_CNT1
#define USBUART_USB__SIE_EP5_CR0 CYDEV_USB_SIE_EP5_CR0
#define USBUART_USB__SIE_EP6_CNT0 CYDEV_USB_SIE_EP6_CNT0
#define USBUART_USB__SIE_EP6_CNT1 CYDEV_USB_SIE_EP6_CNT1
#define USBUART_USB__SIE_EP6_CR0 CYDEV_USB_SIE_EP6_CR0
#define USBUART_USB__SIE_EP7_CNT0 CYDEV_USB_SIE_EP7_CNT0
#define USBUART_USB__SIE_EP7_CNT1 CYDEV_USB_SIE_EP7_CNT1
#define USBUART_USB__SIE_EP7_CR0 CYDEV_USB_SIE_EP7_CR0
#define USBUART_USB__SIE_EP8_CNT0 CYDEV_USB_SIE_EP8_CNT0
#define USBUART_USB__SIE_EP8_CNT1 CYDEV_USB_SIE_EP8_CNT1
#define USBUART_USB__SIE_EP8_CR0 CYDEV_USB_SIE_EP8_CR0
#define USBUART_USB__SOF0 CYDEV_USB_SOF0
#define USBUART_USB__SOF1 CYDEV_USB_SOF1
#define USBUART_USB__USB_CLK_EN CYDEV_USB_USB_CLK_EN
#define USBUART_USB__USBIO_CR0 CYDEV_USB_USBIO_CR0
#define USBUART_USB__USBIO_CR1 CYDEV_USB_USBIO_CR1
#define USBUART_USB__USBIO_CR2 CYDEV_USB_USBIO_CR2

/* COMP_X_OUT */
#define COMP_X_OUT__0__MASK 0x40u
#define COMP_X_OUT__0__PC CYDEV_IO_PC_PRT12_PC6
#define COMP_X_OUT__0__PORT 12
#define COMP_X_OUT__0__SHIFT 6
#define COMP_X_OUT__AG CYDEV_IO_PRT_PRT12_AG
#define COMP_X_OUT__BIE CYDEV_IO_PRT_PRT12_BIE
#define COMP_X_OUT__BIT_MASK CYDEV_IO_PRT_PRT12_BIT_MASK
#define COMP_X_OUT__BYP CYDEV_IO_PRT_PRT12_BYP
#define COMP_X_OUT__DM0 CYDEV_IO_PRT_PRT12_DM0
#define COMP_X_OUT__DM1 CYDEV_IO_PRT_PRT12_DM1
#define COMP_X_OUT__DM2 CYDEV_IO_PRT_PRT12_DM2
#define COMP_X_OUT__DR CYDEV_IO_PRT_PRT12_DR
#define COMP_X_OUT__INP_DIS CYDEV_IO_PRT_PRT12_INP_DIS
#define COMP_X_OUT__MASK 0x40u
#define COMP_X_OUT__PORT 12
#define COMP_X_OUT__PRT CYDEV_IO_PRT_PRT12_PRT
#define COMP_X_OUT__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT12_DBL_SYNC_IN
#define COMP_X_OUT__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT12_OE_SEL0
#define COMP_X_OUT__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT12_OE_SEL1
#define COMP_X_OUT__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT12_OUT_SEL0
#define COMP_X_OUT__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT12_OUT_SEL1
#define COMP_X_OUT__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT12_SYNC_OUT
#define COMP_X_OUT__PS CYDEV_IO_PRT_PRT12_PS
#define COMP_X_OUT__SHIFT 6
#define COMP_X_OUT__SIO_CFG CYDEV_IO_PRT_PRT12_SIO_CFG
#define COMP_X_OUT__SIO_DIFF CYDEV_IO_PRT_PRT12_SIO_DIFF
#define COMP_X_OUT__SIO_HYST_EN CYDEV_IO_PRT_PRT12_SIO_HYST_EN
#define COMP_X_OUT__SIO_REG_HIFREQ CYDEV_IO_PRT_PRT12_SIO_REG_HIFREQ
#define COMP_X_OUT__SLW CYDEV_IO_PRT_PRT12_SLW

/* COMP_Y_OUT */
#define COMP_Y_OUT__0__MASK 0x80u
#define COMP_Y_OUT__0__PC CYDEV_IO_PC_PRT12_PC7
#define COMP_Y_OUT__0__PORT 12
#define COMP_Y_OUT__0__SHIFT 7
#define COMP_Y_OUT__AG CYDEV_IO_PRT_PRT12_AG
#define COMP_Y_OUT__BIE CYDEV_IO_PRT_PRT12_BIE
#define COMP_Y_OUT__BIT_MASK CYDEV_IO_PRT_PRT12_BIT_MASK
#define COMP_Y_OUT__BYP CYDEV_IO_PRT_PRT12_BYP
#define COMP_Y_OUT__DM0 CYDEV_IO_PRT_PRT12_DM0
#define COMP_Y_OUT__DM1 CYDEV_IO_PRT_PRT12_DM1
#define COMP_Y_OUT__DM2 CYDEV_IO_PRT_PRT12_DM2
#define COMP_Y_OUT__DR CYDEV_IO_PRT_PRT12_DR
#define COMP_Y_OUT__INP_DIS CYDEV_IO_PRT_PRT12_INP_DIS
#define COMP_Y_OUT__MASK 0x80u
#define COMP_Y_OUT__PORT 12
#define COMP_Y_OUT__PRT CYDEV_IO_PRT_PRT12_PRT
#define COMP_Y_OUT__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT12_DBL_SYNC_IN
#define COMP_Y_OUT__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT12_OE_SEL0
#define COMP_Y_OUT__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT12_OE_SEL1
#define COMP_Y_OUT__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT12_OUT_SEL0
#define COMP_Y_OUT__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT12_OUT_SEL1
#define COMP_Y_OUT__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT12_SYNC_OUT
#define COMP_Y_OUT__PS CYDEV_IO_PRT_PRT12_PS
#define COMP_Y_OUT__SHIFT 7
#define COMP_Y_OUT__SIO_CFG CYDEV_IO_PRT_PRT12_SIO_CFG
#define COMP_Y_OUT__SIO_DIFF CYDEV_IO_PRT_PRT12_SIO_DIFF
#define COMP_Y_OUT__SIO_HYST_EN CYDEV_IO_PRT_PRT12_SIO_HYST_EN
#define COMP_Y_OUT__SIO_REG_HIFREQ CYDEV_IO_PRT_PRT12_SIO_REG_HIFREQ
#define COMP_Y_OUT__SLW CYDEV_IO_PRT_PRT12_SLW

/* DAC_XH_OUT */
#define DAC_XH_OUT__0__MASK 0x20u
#define DAC_XH_OUT__0__PC CYDEV_IO_PC_PRT3_PC5
#define DAC_XH_OUT__0__PORT 3
#define DAC_XH_OUT__0__SHIFT 5
#define DAC_XH_OUT__AG CYDEV_IO_PRT_PRT3_AG
#define DAC_XH_OUT__AMUX CYDEV_IO_PRT_PRT3_AMUX
#define DAC_XH_OUT__BIE CYDEV_IO_PRT_PRT3_BIE
#define DAC_XH_OUT__BIT_MASK CYDEV_IO_PRT_PRT3_BIT_MASK
#define DAC_XH_OUT__BYP CYDEV_IO_PRT_PRT3_BYP
#define DAC_XH_OUT__CTL CYDEV_IO_PRT_PRT3_CTL
#define DAC_XH_OUT__DM0 CYDEV_IO_PRT_PRT3_DM0
#define DAC_XH_OUT__DM1 CYDEV_IO_PRT_PRT3_DM1
#define DAC_XH_OUT__DM2 CYDEV_IO_PRT_PRT3_DM2
#define DAC_XH_OUT__DR CYDEV_IO_PRT_PRT3_DR
#define DAC_XH_OUT__INP_DIS CYDEV_IO_PRT_PRT3_INP_DIS
#define DAC_XH_OUT__LCD_COM_SEG CYDEV_IO_PRT_PRT3_LCD_COM_SEG
#define DAC_XH_OUT__LCD_EN CYDEV_IO_PRT_PRT3_LCD_EN
#define DAC_XH_OUT__PORT 3
#define DAC_XH_OUT__PRT CYDEV_IO_PRT_PRT3_PRT
#define DAC_XH_OUT__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT3_CAPS_SEL
#define DAC_XH_OUT__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT3_DBL_SYNC_IN
#define DAC_XH_OUT__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT3_OE_SEL0
#define DAC_XH_OUT__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT3_OE_SEL1
#define DAC_XH_OUT__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT3_OUT_SEL0
#define DAC_XH_OUT__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT3_OUT_SEL1
#define DAC_XH_OUT__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT3_SYNC_OUT
#define DAC_XH_OUT__PS CYDEV_IO_PRT_PRT3_PS
#define DAC_XH_OUT__SLW CYDEV_IO_PRT_PRT3_SLW

/* DAC_XL_OUT */
#define DAC_XL_OUT__0__MASK 0x10u
#define DAC_XL_OUT__0__PC CYDEV_IO_PC_PRT3_PC4
#define DAC_XL_OUT__0__PORT 3
#define DAC_XL_OUT__0__SHIFT 4
#define DAC_XL_OUT__AG CYDEV_IO_PRT_PRT3_AG
#define DAC_XL_OUT__AMUX CYDEV_IO_PRT_PRT3_AMUX
#define DAC_XL_OUT__BIE CYDEV_IO_PRT_PRT3_BIE
#define DAC_XL_OUT__BIT_MASK CYDEV_IO_PRT_PRT3_BIT_MASK
#define DAC_XL_OUT__BYP CYDEV_IO_PRT_PRT3_BYP
#define DAC_XL_OUT__CTL CYDEV_IO_PRT_PRT3_CTL
#define DAC_XL_OUT__DM0 CYDEV_IO_PRT_PRT3_DM0
#define DAC_XL_OUT__DM1 CYDEV_IO_PRT_PRT3_DM1
#define DAC_XL_OUT__DM2 CYDEV_IO_PRT_PRT3_DM2
#define DAC_XL_OUT__DR CYDEV_IO_PRT_PRT3_DR
#define DAC_XL_OUT__INP_DIS CYDEV_IO_PRT_PRT3_INP_DIS
#define DAC_XL_OUT__LCD_COM_SEG CYDEV_IO_PRT_PRT3_LCD_COM_SEG
#define DAC_XL_OUT__LCD_EN CYDEV_IO_PRT_PRT3_LCD_EN
#define DAC_XL_OUT__PORT 3
#define DAC_XL_OUT__PRT CYDEV_IO_PRT_PRT3_PRT
#define DAC_XL_OUT__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT3_CAPS_SEL
#define DAC_XL_OUT__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT3_DBL_SYNC_IN
#define DAC_XL_OUT__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT3_OE_SEL0
#define DAC_XL_OUT__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT3_OE_SEL1
#define DAC_XL_OUT__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT3_OUT_SEL0
#define DAC_XL_OUT__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT3_OUT_SEL1
#define DAC_XL_OUT__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT3_SYNC_OUT
#define DAC_XL_OUT__PS CYDEV_IO_PRT_PRT3_PS
#define DAC_XL_OUT__SLW CYDEV_IO_PRT_PRT3_SLW

/* DAC_YH_OUT */
#define DAC_YH_OUT__0__MASK 0x20u
#define DAC_YH_OUT__0__PC CYDEV_IO_PC_PRT4_PC5
#define DAC_YH_OUT__0__PORT 4
#define DAC_YH_OUT__0__SHIFT 5
#define DAC_YH_OUT__AG CYDEV_IO_PRT_PRT4_AG
#define DAC_YH_OUT__AMUX CYDEV_IO_PRT_PRT4_AMUX
#define DAC_YH_OUT__BIE CYDEV_IO_PRT_PRT4_BIE
#define DAC_YH_OUT__BIT_MASK CYDEV_IO_PRT_PRT4_BIT_MASK
#define DAC_YH_OUT__BYP CYDEV_IO_PRT_PRT4_BYP
#define DAC_YH_OUT__CTL CYDEV_IO_PRT_PRT4_CTL
#define DAC_YH_OUT__DM0 CYDEV_IO_PRT_PRT4_DM0
#define DAC_YH_OUT__DM1 CYDEV_IO_PRT_PRT4_DM1
#define DAC_YH_OUT__DM2 CYDEV_IO_PRT_PRT4_DM2
#define DAC_YH_OUT__DR CYDEV_IO_PRT_PRT4_DR
#define DAC_YH_OUT__INP_DIS CYDEV_IO_PRT_PRT4_INP_DIS
#define DAC_YH_OUT__LCD_COM_SEG CYDEV_IO_PRT_PRT4_LCD_COM_SEG
#define DAC_YH_OUT__LCD_EN CYDEV_IO_PRT_PRT4_LCD_EN
#define DAC_YH_OUT__PORT 4
#define DAC_YH_OUT__PRT CYDEV_IO_PRT_PRT4_PRT
#define DAC_YH_OUT__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT4_CAPS_SEL
#define DAC_YH_OUT__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT4_DBL_SYNC_IN
#define DAC_YH_OUT__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT4_OE_SEL0
#define DAC_YH_OUT__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT4_OE_SEL1
#define DAC_YH_OUT__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT4_OUT_SEL0
#define DAC_YH_OUT__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT4_OUT_SEL1
#define DAC_YH_OUT__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT4_SYNC_OUT
#define DAC_YH_OUT__PS CYDEV_IO_PRT_PRT4_PS
#define DAC_YH_OUT__SLW CYDEV_IO_PRT_PRT4_SLW

/* DAC_YL_OUT */
#define DAC_YL_OUT__0__MASK 0x10u
#define DAC_YL_OUT__0__PC CYDEV_IO_PC_PRT4_PC4
#define DAC_YL_OUT__0__PORT 4
#define DAC_YL_OUT__0__SHIFT 4
#define DAC_YL_OUT__AG CYDEV_IO_PRT_PRT4_AG
#define DAC_YL_OUT__AMUX CYDEV_IO_PRT_PRT4_AMUX
#define DAC_YL_OUT__BIE CYDEV_IO_PRT_PRT4_BIE
#define DAC_YL_OUT__BIT_MASK CYDEV_IO_PRT_PRT4_BIT_MASK
#define DAC_YL_OUT__BYP CYDEV_IO_PRT_PRT4_BYP
#define DAC_YL_OUT__CTL CYDEV_IO_PRT_PRT4_CTL
#define DAC_YL_OUT__DM0 CYDEV_IO_PRT_PRT4_DM0
#define DAC_YL_OUT__DM1 CYDEV_IO_PRT_PRT4_DM1
#define DAC_YL_OUT__DM2 CYDEV_IO_PRT_PRT4_DM2
#define DAC_YL_OUT__DR CYDEV_IO_PRT_PRT4_DR
#define DAC_YL_OUT__INP_DIS CYDEV_IO_PRT_PRT4_INP_DIS
#define DAC_YL_OUT__LCD_COM_SEG CYDEV_IO_PRT_PRT4_LCD_COM_SEG
#define DAC_YL_OUT__LCD_EN CYDEV_IO_PRT_PRT4_LCD_EN
#define DAC_YL_OUT__PORT 4
#define DAC_YL_OUT__PRT CYDEV_IO_PRT_PRT4_PRT
#define DAC_YL_OUT__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT4_CAPS_SEL
#define DAC_YL_OUT__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT4_DBL_SYNC_IN
#define DAC_YL_OUT__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT4_OE_SEL0
#define DAC_YL_OUT__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT4_OE_SEL1
#define DAC_YL_OUT__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT4_OUT_SEL0
#define DAC_YL_OUT__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT4_OUT_SEL1
#define DAC_YL_OUT__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT4_SYNC_OUT
#define DAC_YL_OUT__PS CYDEV_IO_PRT_PRT4_PS
#define DAC_YL_OUT__SLW CYDEV_IO_PRT_PRT4_SLW

/* SPIM_BSPIM */
#define SPIM_BSPIM_bitCounter__16BIT_CONTROL_AUX_CTL_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_ACTL
#define SPIM_BSPIM_bitCounter__16BIT_CONTROL_CONTROL_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_CTL
#define SPIM_BSPIM_bitCounter__16BIT_CONTROL_COUNT_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_CTL
#define SPIM_BSPIM_bitCounter__16BIT_COUNT_CONTROL_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_CTL
#define SPIM_BSPIM_bitCounter__16BIT_COUNT_COUNT_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_CTL
#define SPIM_BSPIM_bitCounter__16BIT_MASK_MASK_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_MSK
#define SPIM_BSPIM_bitCounter__16BIT_MASK_PERIOD_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_MSK
#define SPIM_BSPIM_bitCounter__16BIT_PERIOD_MASK_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_MSK
#define SPIM_BSPIM_bitCounter__16BIT_PERIOD_PERIOD_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_MSK
#define SPIM_BSPIM_bitCounter__CONTROL_AUX_CTL_REG CYDEV_UWRK_UWRK8_B0_UDB05_ACTL
#define SPIM_BSPIM_bitCounter__CONTROL_REG CYDEV_UWRK_UWRK8_B0_UDB05_CTL
#define SPIM_BSPIM_bitCounter__CONTROL_ST_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_ST_CTL
#define SPIM_BSPIM_bitCounter__COUNT_REG CYDEV_UWRK_UWRK8_B0_UDB05_CTL
#define SPIM_BSPIM_bitCounter__COUNT_ST_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_ST_CTL
#define SPIM_BSPIM_bitCounter__MASK_CTL_AUX_CTL_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_MSK_ACTL
#define SPIM_BSPIM_bitCounter__PER_CTL_AUX_CTL_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_MSK_ACTL
#define SPIM_BSPIM_bitCounter__PERIOD_REG CYDEV_UWRK_UWRK8_B0_UDB05_MSK
#define SPIM_BSPIM_bitCounter_ST__16BIT_STATUS_AUX_CTL_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_ACTL
#define SPIM_BSPIM_bitCounter_ST__16BIT_STATUS_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_ST
#define SPIM_BSPIM_bitCounter_ST__MASK_REG CYDEV_UWRK_UWRK8_B0_UDB05_MSK
#define SPIM_BSPIM_bitCounter_ST__MASK_ST_AUX_CTL_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_ST_CTL
#define SPIM_BSPIM_bitCounter_ST__PER_ST_AUX_CTL_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_ST_CTL
#define SPIM_BSPIM_bitCounter_ST__STATUS_AUX_CTL_REG CYDEV_UWRK_UWRK8_B0_UDB05_ACTL
#define SPIM_BSPIM_bitCounter_ST__STATUS_CNT_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_ST_CTL
#define SPIM_BSPIM_bitCounter_ST__STATUS_CONTROL_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_ST_CTL
#define SPIM_BSPIM_bitCounter_ST__STATUS_REG CYDEV_UWRK_UWRK8_B0_UDB05_ST
#define SPIM_BSPIM_sR16_dp_u0__16BIT_A0_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_A0
#define SPIM_BSPIM_sR16_dp_u0__16BIT_A1_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_A1
#define SPIM_BSPIM_sR16_dp_u0__16BIT_D0_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_D0
#define SPIM_BSPIM_sR16_dp_u0__16BIT_D1_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_D1
#define SPIM_BSPIM_sR16_dp_u0__16BIT_DP_AUX_CTL_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_ACTL
#define SPIM_BSPIM_sR16_dp_u0__16BIT_F0_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_F0
#define SPIM_BSPIM_sR16_dp_u0__16BIT_F1_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_F1
#define SPIM_BSPIM_sR16_dp_u0__A0_A1_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_A0_A1
#define SPIM_BSPIM_sR16_dp_u0__A0_REG CYDEV_UWRK_UWRK8_B0_UDB05_A0
#define SPIM_BSPIM_sR16_dp_u0__A1_REG CYDEV_UWRK_UWRK8_B0_UDB05_A1
#define SPIM_BSPIM_sR16_dp_u0__D0_D1_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_D0_D1
#define SPIM_BSPIM_sR16_dp_u0__D0_REG CYDEV_UWRK_UWRK8_B0_UDB05_D0
#define SPIM_BSPIM_sR16_dp_u0__D1_REG CYDEV_UWRK_UWRK8_B0_UDB05_D1
#define SPIM_BSPIM_sR16_dp_u0__DP_AUX_CTL_REG CYDEV_UWRK_UWRK8_B0_UDB05_ACTL
#define SPIM_BSPIM_sR16_dp_u0__F0_F1_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_F0_F1
#define SPIM_BSPIM_sR16_dp_u0__F0_REG CYDEV_UWRK_UWRK8_B0_UDB05_F0
#define SPIM_BSPIM_sR16_dp_u0__F1_REG CYDEV_UWRK_UWRK8_B0_UDB05_F1
#define SPIM_BSPIM_sR16_dp_u0__MSK_DP_AUX_CTL_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_MSK_ACTL
#define SPIM_BSPIM_sR16_dp_u0__PER_DP_AUX_CTL_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_MSK_ACTL
#define SPIM_BSPIM_sR16_dp_u1__16BIT_A0_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB06_07_A0
#define SPIM_BSPIM_sR16_dp_u1__16BIT_A1_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB06_07_A1
#define SPIM_BSPIM_sR16_dp_u1__16BIT_D0_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB06_07_D0
#define SPIM_BSPIM_sR16_dp_u1__16BIT_D1_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB06_07_D1
#define SPIM_BSPIM_sR16_dp_u1__16BIT_DP_AUX_CTL_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB06_07_ACTL
#define SPIM_BSPIM_sR16_dp_u1__16BIT_F0_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB06_07_F0
#define SPIM_BSPIM_sR16_dp_u1__16BIT_F1_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB06_07_F1
#define SPIM_BSPIM_sR16_dp_u1__A0_A1_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB06_A0_A1
#define SPIM_BSPIM_sR16_dp_u1__A0_REG CYDEV_UWRK_UWRK8_B0_UDB06_A0
#define SPIM_BSPIM_sR16_dp_u1__A1_REG CYDEV_UWRK_UWRK8_B0_UDB06_A1
#define SPIM_BSPIM_sR16_dp_u1__D0_D1_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB06_D0_D1
#define SPIM_BSPIM_sR16_dp_u1__D0_REG CYDEV_UWRK_UWRK8_B0_UDB06_D0
#define SPIM_BSPIM_sR16_dp_u1__D1_REG CYDEV_UWRK_UWRK8_B0_UDB06_D1
#define SPIM_BSPIM_sR16_dp_u1__DP_AUX_CTL_REG CYDEV_UWRK_UWRK8_B0_UDB06_ACTL
#define SPIM_BSPIM_sR16_dp_u1__F0_F1_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB06_F0_F1
#define SPIM_BSPIM_sR16_dp_u1__F0_REG CYDEV_UWRK_UWRK8_B0_UDB06_F0
#define SPIM_BSPIM_sR16_dp_u1__F1_REG CYDEV_UWRK_UWRK8_B0_UDB06_F1
#define SPIM_BSPIM_stsreg__0__MASK 0x01u
#define SPIM_BSPIM_stsreg__0__POS 0
#define SPIM_BSPIM_stsreg__1__MASK 0x02u
#define SPIM_BSPIM_stsreg__1__POS 1
#define SPIM_BSPIM_stsreg__16BIT_STATUS_AUX_CTL_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB06_07_ACTL
#define SPIM_BSPIM_stsreg__16BIT_STATUS_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB06_07_ST
#define SPIM_BSPIM_stsreg__2__MASK 0x04u
#define SPIM_BSPIM_stsreg__2__POS 2
#define SPIM_BSPIM_stsreg__3__MASK 0x08u
#define SPIM_BSPIM_stsreg__3__POS 3
#define SPIM_BSPIM_stsreg__4__MASK 0x10u
#define SPIM_BSPIM_stsreg__4__POS 4
#define SPIM_BSPIM_stsreg__5__MASK 0x20u
#define SPIM_BSPIM_stsreg__5__POS 5
#define SPIM_BSPIM_stsreg__6__MASK 0x40u
#define SPIM_BSPIM_stsreg__6__POS 6
#define SPIM_BSPIM_stsreg__MASK 0x7Fu
#define SPIM_BSPIM_stsreg__MASK_REG CYDEV_UWRK_UWRK8_B0_UDB06_MSK
#define SPIM_BSPIM_stsreg__STATUS_AUX_CTL_REG CYDEV_UWRK_UWRK8_B0_UDB06_ACTL
#define SPIM_BSPIM_stsreg__STATUS_REG CYDEV_UWRK_UWRK8_B0_UDB06_ST

/* UART_BUART */
#define UART_BUART_sTX_dpTXShifter_u0__16BIT_A0_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB09_10_A0
#define UART_BUART_sTX_dpTXShifter_u0__16BIT_A1_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB09_10_A1
#define UART_BUART_sTX_dpTXShifter_u0__16BIT_D0_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB09_10_D0
#define UART_BUART_sTX_dpTXShifter_u0__16BIT_D1_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB09_10_D1
#define UART_BUART_sTX_dpTXShifter_u0__16BIT_DP_AUX_CTL_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB09_10_ACTL
#define UART_BUART_sTX_dpTXShifter_u0__16BIT_F0_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB09_10_F0
#define UART_BUART_sTX_dpTXShifter_u0__16BIT_F1_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB09_10_F1
#define UART_BUART_sTX_dpTXShifter_u0__A0_A1_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB09_A0_A1
#define UART_BUART_sTX_dpTXShifter_u0__A0_REG CYDEV_UWRK_UWRK8_B0_UDB09_A0
#define UART_BUART_sTX_dpTXShifter_u0__A1_REG CYDEV_UWRK_UWRK8_B0_UDB09_A1
#define UART_BUART_sTX_dpTXShifter_u0__D0_D1_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB09_D0_D1
#define UART_BUART_sTX_dpTXShifter_u0__D0_REG CYDEV_UWRK_UWRK8_B0_UDB09_D0
#define UART_BUART_sTX_dpTXShifter_u0__D1_REG CYDEV_UWRK_UWRK8_B0_UDB09_D1
#define UART_BUART_sTX_dpTXShifter_u0__DP_AUX_CTL_REG CYDEV_UWRK_UWRK8_B0_UDB09_ACTL
#define UART_BUART_sTX_dpTXShifter_u0__F0_F1_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB09_F0_F1
#define UART_BUART_sTX_dpTXShifter_u0__F0_REG CYDEV_UWRK_UWRK8_B0_UDB09_F0
#define UART_BUART_sTX_dpTXShifter_u0__F1_REG CYDEV_UWRK_UWRK8_B0_UDB09_F1
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__16BIT_A0_REG CYDEV_UWRK_UWRK16_DEF_B1_UDB09_10_A0
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__16BIT_A1_REG CYDEV_UWRK_UWRK16_DEF_B1_UDB09_10_A1
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__16BIT_D0_REG CYDEV_UWRK_UWRK16_DEF_B1_UDB09_10_D0
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__16BIT_D1_REG CYDEV_UWRK_UWRK16_DEF_B1_UDB09_10_D1
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__16BIT_DP_AUX_CTL_REG CYDEV_UWRK_UWRK16_DEF_B1_UDB09_10_ACTL
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__16BIT_F0_REG CYDEV_UWRK_UWRK16_DEF_B1_UDB09_10_F0
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__16BIT_F1_REG CYDEV_UWRK_UWRK16_DEF_B1_UDB09_10_F1
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__A0_A1_REG CYDEV_UWRK_UWRK16_CAT_B1_UDB09_A0_A1
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__A0_REG CYDEV_UWRK_UWRK8_B1_UDB09_A0
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__A1_REG CYDEV_UWRK_UWRK8_B1_UDB09_A1
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__D0_D1_REG CYDEV_UWRK_UWRK16_CAT_B1_UDB09_D0_D1
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__D0_REG CYDEV_UWRK_UWRK8_B1_UDB09_D0
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__D1_REG CYDEV_UWRK_UWRK8_B1_UDB09_D1
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__DP_AUX_CTL_REG CYDEV_UWRK_UWRK8_B1_UDB09_ACTL
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__F0_F1_REG CYDEV_UWRK_UWRK16_CAT_B1_UDB09_F0_F1
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__F0_REG CYDEV_UWRK_UWRK8_B1_UDB09_F0
#define UART_BUART_sTX_sCLOCK_dpTXBitClkGen_u0__F1_REG CYDEV_UWRK_UWRK8_B1_UDB09_F1
#define UART_BUART_sTX_tx_sts__0__MASK 0x01u
#define UART_BUART_sTX_tx_sts__0__POS 0
#define UART_BUART_sTX_tx_sts__1__MASK 0x02u
#define UART_BUART_sTX_tx_sts__1__POS 1
#define UART_BUART_sTX_tx_sts__16BIT_STATUS_AUX_CTL_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB09_10_ACTL
#define UART_BUART_sTX_tx_sts__16BIT_STATUS_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB09_10_ST
#define UART_BUART_sTX_tx_sts__2__MASK 0x04u
#define UART_BUART_sTX_tx_sts__2__POS 2
#define UART_BUART_sTX_tx_sts__3__MASK 0x08u
#define UART_BUART_sTX_tx_sts__3__POS 3
#define UART_BUART_sTX_tx_sts__MASK 0x0Fu
#define UART_BUART_sTX_tx_sts__MASK_REG CYDEV_UWRK_UWRK8_B0_UDB09_MSK
#define UART_BUART_sTX_tx_sts__STATUS_AUX_CTL_REG CYDEV_UWRK_UWRK8_B0_UDB09_ACTL
#define UART_BUART_sTX_tx_sts__STATUS_REG CYDEV_UWRK_UWRK8_B0_UDB09_ST

/* USBUART_dm */
#define USBUART_dm__0__MASK 0x80u
#define USBUART_dm__0__PC CYDEV_IO_PC_PRT15_PC7
#define USBUART_dm__0__PORT 15
#define USBUART_dm__0__SHIFT 7
#define USBUART_dm__AG CYDEV_IO_PRT_PRT15_AG
#define USBUART_dm__AMUX CYDEV_IO_PRT_PRT15_AMUX
#define USBUART_dm__BIE CYDEV_IO_PRT_PRT15_BIE
#define USBUART_dm__BIT_MASK CYDEV_IO_PRT_PRT15_BIT_MASK
#define USBUART_dm__BYP CYDEV_IO_PRT_PRT15_BYP
#define USBUART_dm__CTL CYDEV_IO_PRT_PRT15_CTL
#define USBUART_dm__dm__MASK 0x80u
#define USBUART_dm__dm__PC CYDEV_IO_PC_PRT15_PC7
#define USBUART_dm__dm__PORT 15
#define USBUART_dm__dm__SHIFT 7
#define USBUART_dm__DM0 CYDEV_IO_PRT_PRT15_DM0
#define USBUART_dm__DM1 CYDEV_IO_PRT_PRT15_DM1
#define USBUART_dm__DM2 CYDEV_IO_PRT_PRT15_DM2
#define USBUART_dm__DR CYDEV_IO_PRT_PRT15_DR
#define USBUART_dm__INP_DIS CYDEV_IO_PRT_PRT15_INP_DIS
#define USBUART_dm__LCD_COM_SEG CYDEV_IO_PRT_PRT15_LCD_COM_SEG
#define USBUART_dm__LCD_EN CYDEV_IO_PRT_PRT15_LCD_EN
#define USBUART_dm__PORT 15
#define USBUART_dm__PRT CYDEV_IO_PRT_PRT15_PRT
#define USBUART_dm__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT15_CAPS_SEL
#define USBUART_dm__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT15_DBL_SYNC_IN
#define USBUART_dm__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT15_OE_SEL0
#define USBUART_dm__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT15_OE_SEL1
#define USBUART_dm__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT15_OUT_SEL0
#define USBUART_dm__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT15_OUT_SEL1
#define USBUART_dm__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT15_SYNC_OUT
#define USBUART_dm__PS CYDEV_IO_PRT_PRT15_PS
#define USBUART_dm__SLW CYDEV_IO_PRT_PRT15_SLW

/* USBUART_dp */
#define USBUART_dp__0__MASK 0x40u
#define USBUART_dp__0__PC CYDEV_IO_PC_PRT15_PC6
#define USBUART_dp__0__PORT 15
#define USBUART_dp__0__SHIFT 6
#define USBUART_dp__AG CYDEV_IO_PRT_PRT15_AG
#define USBUART_dp__AMUX CYDEV_IO_PRT_PRT15_AMUX
#define USBUART_dp__BIE CYDEV_IO_PRT_PRT15_BIE
#define USBUART_dp__BIT_MASK CYDEV_IO_PRT_PRT15_BIT_MASK
#define USBUART_dp__BYP CYDEV_IO_PRT_PRT15_BYP
#define USBUART_dp__CTL CYDEV_IO_PRT_PRT15_CTL
#define USBUART_dp__DM0 CYDEV_IO_PRT_PRT15_DM0
#define USBUART_dp__DM1 CYDEV_IO_PRT_PRT15_DM1
#define USBUART_dp__DM2 CYDEV_IO_PRT_PRT15_DM2
#define USBUART_dp__dp__MASK 0x40u
#define USBUART_dp__dp__PC CYDEV_IO_PC_PRT15_PC6
#define USBUART_dp__dp__PORT 15
#define USBUART_dp__dp__SHIFT 6
#define USBUART_dp__DR CYDEV_IO_PRT_PRT15_DR
#define USBUART_dp__INP_DIS CYDEV_IO_PRT_PRT15_INP_DIS
#define USBUART_dp__LCD_COM_SEG CYDEV_IO_PRT_PRT15_LCD_COM_SEG
#define USBUART_dp__LCD_EN CYDEV_IO_PRT_PRT15_LCD_EN
#define USBUART_dp__PORT 15
#define USBUART_dp__PRT CYDEV_IO_PRT_PRT15_PRT
#define USBUART_dp__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT15_CAPS_SEL
#define USBUART_dp__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT15_DBL_SYNC_IN
#define USBUART_dp__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT15_OE_SEL0
#define USBUART_dp__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT15_OE_SEL1
#define USBUART_dp__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT15_OUT_SEL0
#define USBUART_dp__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT15_OUT_SEL1
#define USBUART_dp__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT15_SYNC_OUT
#define USBUART_dp__PS CYDEV_IO_PRT_PRT15_PS
#define USBUART_dp__SLW CYDEV_IO_PRT_PRT15_SLW

/* Sensor_X */
#define Sensor_X__0__MASK 0x04u
#define Sensor_X__0__PC CYDEV_IO_PC_PRT0_PC2
#define Sensor_X__0__PORT 0
#define Sensor_X__0__SHIFT 2
#define Sensor_X__AG CYDEV_IO_PRT_PRT0_AG
#define Sensor_X__AMUX CYDEV_IO_PRT_PRT0_AMUX
#define Sensor_X__BIE CYDEV_IO_PRT_PRT0_BIE
#define Sensor_X__BIT_MASK CYDEV_IO_PRT_PRT0_BIT_MASK
#define Sensor_X__BYP CYDEV_IO_PRT_PRT0_BYP
#define Sensor_X__CTL CYDEV_IO_PRT_PRT0_CTL
#define Sensor_X__DM0 CYDEV_IO_PRT_PRT0_DM0
#define Sensor_X__DM1 CYDEV_IO_PRT_PRT0_DM1
#define Sensor_X__DM2 CYDEV_IO_PRT_PRT0_DM2
#define Sensor_X__DR CYDEV_IO_PRT_PRT0_DR
#define Sensor_X__INP_DIS CYDEV_IO_PRT_PRT0_INP_DIS
#define Sensor_X__LCD_COM_SEG CYDEV_IO_PRT_PRT0_LCD_COM_SEG
#define Sensor_X__LCD_EN CYDEV_IO_PRT_PRT0_LCD_EN
#define Sensor_X__PORT 0
#define Sensor_X__PRT CYDEV_IO_PRT_PRT0_PRT
#define Sensor_X__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT0_CAPS_SEL
#define Sensor_X__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT0_DBL_SYNC_IN
#define Sensor_X__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT0_OE_SEL0
#define Sensor_X__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT0_OE_SEL1
#define Sensor_X__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT0_OUT_SEL0
#define Sensor_X__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT0_OUT_SEL1
#define Sensor_X__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT0_SYNC_OUT
#define Sensor_X__PS CYDEV_IO_PRT_PRT0_PS
#define Sensor_X__SLW CYDEV_IO_PRT_PRT0_SLW

/* Sensor_Y */
#define Sensor_Y__0__MASK 0x10u
#define Sensor_Y__0__PC CYDEV_IO_PC_PRT0_PC4
#define Sensor_Y__0__PORT 0
#define Sensor_Y__0__SHIFT 4
#define Sensor_Y__AG CYDEV_IO_PRT_PRT0_AG
#define Sensor_Y__AMUX CYDEV_IO_PRT_PRT0_AMUX
#define Sensor_Y__BIE CYDEV_IO_PRT_PRT0_BIE
#define Sensor_Y__BIT_MASK CYDEV_IO_PRT_PRT0_BIT_MASK
#define Sensor_Y__BYP CYDEV_IO_PRT_PRT0_BYP
#define Sensor_Y__CTL CYDEV_IO_PRT_PRT0_CTL
#define Sensor_Y__DM0 CYDEV_IO_PRT_PRT0_DM0
#define Sensor_Y__DM1 CYDEV_IO_PRT_PRT0_DM1
#define Sensor_Y__DM2 CYDEV_IO_PRT_PRT0_DM2
#define Sensor_Y__DR CYDEV_IO_PRT_PRT0_DR
#define Sensor_Y__INP_DIS CYDEV_IO_PRT_PRT0_INP_DIS
#define Sensor_Y__LCD_COM_SEG CYDEV_IO_PRT_PRT0_LCD_COM_SEG
#define Sensor_Y__LCD_EN CYDEV_IO_PRT_PRT0_LCD_EN
#define Sensor_Y__PORT 0
#define Sensor_Y__PRT CYDEV_IO_PRT_PRT0_PRT
#define Sensor_Y__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT0_CAPS_SEL
#define Sensor_Y__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT0_DBL_SYNC_IN
#define Sensor_Y__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT0_OE_SEL0
#define Sensor_Y__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT0_OE_SEL1
#define Sensor_Y__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT0_OUT_SEL0
#define Sensor_Y__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT0_OUT_SEL1
#define Sensor_Y__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT0_SYNC_OUT
#define Sensor_Y__PS CYDEV_IO_PRT_PRT0_PS
#define Sensor_Y__SLW CYDEV_IO_PRT_PRT0_SLW

/* nPushSW */
#define nPushSW__0__MASK 0x80u
#define nPushSW__0__PC CYDEV_IO_PC_PRT2_PC7
#define nPushSW__0__PORT 2
#define nPushSW__0__SHIFT 7
#define nPushSW__AG CYDEV_IO_PRT_PRT2_AG
#define nPushSW__AMUX CYDEV_IO_PRT_PRT2_AMUX
#define nPushSW__BIE CYDEV_IO_PRT_PRT2_BIE
#define nPushSW__BIT_MASK CYDEV_IO_PRT_PRT2_BIT_MASK
#define nPushSW__BYP CYDEV_IO_PRT_PRT2_BYP
#define nPushSW__CTL CYDEV_IO_PRT_PRT2_CTL
#define nPushSW__DM0 CYDEV_IO_PRT_PRT2_DM0
#define nPushSW__DM1 CYDEV_IO_PRT_PRT2_DM1
#define nPushSW__DM2 CYDEV_IO_PRT_PRT2_DM2
#define nPushSW__DR CYDEV_IO_PRT_PRT2_DR
#define nPushSW__INP_DIS CYDEV_IO_PRT_PRT2_INP_DIS
#define nPushSW__LCD_COM_SEG CYDEV_IO_PRT_PRT2_LCD_COM_SEG
#define nPushSW__LCD_EN CYDEV_IO_PRT_PRT2_LCD_EN
#define nPushSW__MASK 0x80u
#define nPushSW__PORT 2
#define nPushSW__PRT CYDEV_IO_PRT_PRT2_PRT
#define nPushSW__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT2_CAPS_SEL
#define nPushSW__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT2_DBL_SYNC_IN
#define nPushSW__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT2_OE_SEL0
#define nPushSW__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT2_OE_SEL1
#define nPushSW__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT2_OUT_SEL0
#define nPushSW__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT2_OUT_SEL1
#define nPushSW__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT2_SYNC_OUT
#define nPushSW__PS CYDEV_IO_PRT_PRT2_PS
#define nPushSW__SHIFT 7
#define nPushSW__SLW CYDEV_IO_PRT_PRT2_SLW

/* UART_TX */
#define UART_TX__0__MASK 0x04u
#define UART_TX__0__PC CYDEV_IO_PC_PRT1_PC2
#define UART_TX__0__PORT 1
#define UART_TX__0__SHIFT 2
#define UART_TX__AG CYDEV_IO_PRT_PRT1_AG
#define UART_TX__AMUX CYDEV_IO_PRT_PRT1_AMUX
#define UART_TX__BIE CYDEV_IO_PRT_PRT1_BIE
#define UART_TX__BIT_MASK CYDEV_IO_PRT_PRT1_BIT_MASK
#define UART_TX__BYP CYDEV_IO_PRT_PRT1_BYP
#define UART_TX__CTL CYDEV_IO_PRT_PRT1_CTL
#define UART_TX__DM0 CYDEV_IO_PRT_PRT1_DM0
#define UART_TX__DM1 CYDEV_IO_PRT_PRT1_DM1
#define UART_TX__DM2 CYDEV_IO_PRT_PRT1_DM2
#define UART_TX__DR CYDEV_IO_PRT_PRT1_DR
#define UART_TX__INP_DIS CYDEV_IO_PRT_PRT1_INP_DIS
#define UART_TX__LCD_COM_SEG CYDEV_IO_PRT_PRT1_LCD_COM_SEG
#define UART_TX__LCD_EN CYDEV_IO_PRT_PRT1_LCD_EN
#define UART_TX__MASK 0x04u
#define UART_TX__PORT 1
#define UART_TX__PRT CYDEV_IO_PRT_PRT1_PRT
#define UART_TX__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT1_CAPS_SEL
#define UART_TX__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT1_DBL_SYNC_IN
#define UART_TX__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT1_OE_SEL0
#define UART_TX__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT1_OE_SEL1
#define UART_TX__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT1_OUT_SEL0
#define UART_TX__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT1_OUT_SEL1
#define UART_TX__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT1_SYNC_OUT
#define UART_TX__PS CYDEV_IO_PRT_PRT1_PS
#define UART_TX__SHIFT 2
#define UART_TX__SLW CYDEV_IO_PRT_PRT1_SLW

/* MISO */
#define MISO__0__MASK 0x20u
#define MISO__0__PC CYDEV_IO_PC_PRT1_PC5
#define MISO__0__PORT 1
#define MISO__0__SHIFT 5
#define MISO__AG CYDEV_IO_PRT_PRT1_AG
#define MISO__AMUX CYDEV_IO_PRT_PRT1_AMUX
#define MISO__BIE CYDEV_IO_PRT_PRT1_BIE
#define MISO__BIT_MASK CYDEV_IO_PRT_PRT1_BIT_MASK
#define MISO__BYP CYDEV_IO_PRT_PRT1_BYP
#define MISO__CTL CYDEV_IO_PRT_PRT1_CTL
#define MISO__DM0 CYDEV_IO_PRT_PRT1_DM0
#define MISO__DM1 CYDEV_IO_PRT_PRT1_DM1
#define MISO__DM2 CYDEV_IO_PRT_PRT1_DM2
#define MISO__DR CYDEV_IO_PRT_PRT1_DR
#define MISO__INP_DIS CYDEV_IO_PRT_PRT1_INP_DIS
#define MISO__LCD_COM_SEG CYDEV_IO_PRT_PRT1_LCD_COM_SEG
#define MISO__LCD_EN CYDEV_IO_PRT_PRT1_LCD_EN
#define MISO__MASK 0x20u
#define MISO__PORT 1
#define MISO__PRT CYDEV_IO_PRT_PRT1_PRT
#define MISO__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT1_CAPS_SEL
#define MISO__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT1_DBL_SYNC_IN
#define MISO__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT1_OE_SEL0
#define MISO__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT1_OE_SEL1
#define MISO__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT1_OUT_SEL0
#define MISO__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT1_OUT_SEL1
#define MISO__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT1_SYNC_OUT
#define MISO__PS CYDEV_IO_PRT_PRT1_PS
#define MISO__SHIFT 5
#define MISO__SLW CYDEV_IO_PRT_PRT1_SLW

/* MOSI */
#define MOSI__0__MASK 0x10u
#define MOSI__0__PC CYDEV_IO_PC_PRT1_PC4
#define MOSI__0__PORT 1
#define MOSI__0__SHIFT 4
#define MOSI__AG CYDEV_IO_PRT_PRT1_AG
#define MOSI__AMUX CYDEV_IO_PRT_PRT1_AMUX
#define MOSI__BIE CYDEV_IO_PRT_PRT1_BIE
#define MOSI__BIT_MASK CYDEV_IO_PRT_PRT1_BIT_MASK
#define MOSI__BYP CYDEV_IO_PRT_PRT1_BYP
#define MOSI__CTL CYDEV_IO_PRT_PRT1_CTL
#define MOSI__DM0 CYDEV_IO_PRT_PRT1_DM0
#define MOSI__DM1 CYDEV_IO_PRT_PRT1_DM1
#define MOSI__DM2 CYDEV_IO_PRT_PRT1_DM2
#define MOSI__DR CYDEV_IO_PRT_PRT1_DR
#define MOSI__INP_DIS CYDEV_IO_PRT_PRT1_INP_DIS
#define MOSI__LCD_COM_SEG CYDEV_IO_PRT_PRT1_LCD_COM_SEG
#define MOSI__LCD_EN CYDEV_IO_PRT_PRT1_LCD_EN
#define MOSI__MASK 0x10u
#define MOSI__PORT 1
#define MOSI__PRT CYDEV_IO_PRT_PRT1_PRT
#define MOSI__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT1_CAPS_SEL
#define MOSI__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT1_DBL_SYNC_IN
#define MOSI__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT1_OE_SEL0
#define MOSI__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT1_OE_SEL1
#define MOSI__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT1_OUT_SEL0
#define MOSI__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT1_OUT_SEL1
#define MOSI__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT1_SYNC_OUT
#define MOSI__PS CYDEV_IO_PRT_PRT1_PS
#define MOSI__SHIFT 4
#define MOSI__SLW CYDEV_IO_PRT_PRT1_SLW

/* SCLK */
#define SCLK__0__MASK 0x80u
#define SCLK__0__PC CYDEV_IO_PC_PRT1_PC7
#define SCLK__0__PORT 1
#define SCLK__0__SHIFT 7
#define SCLK__AG CYDEV_IO_PRT_PRT1_AG
#define SCLK__AMUX CYDEV_IO_PRT_PRT1_AMUX
#define SCLK__BIE CYDEV_IO_PRT_PRT1_BIE
#define SCLK__BIT_MASK CYDEV_IO_PRT_PRT1_BIT_MASK
#define SCLK__BYP CYDEV_IO_PRT_PRT1_BYP
#define SCLK__CTL CYDEV_IO_PRT_PRT1_CTL
#define SCLK__DM0 CYDEV_IO_PRT_PRT1_DM0
#define SCLK__DM1 CYDEV_IO_PRT_PRT1_DM1
#define SCLK__DM2 CYDEV_IO_PRT_PRT1_DM2
#define SCLK__DR CYDEV_IO_PRT_PRT1_DR
#define SCLK__INP_DIS CYDEV_IO_PRT_PRT1_INP_DIS
#define SCLK__LCD_COM_SEG CYDEV_IO_PRT_PRT1_LCD_COM_SEG
#define SCLK__LCD_EN CYDEV_IO_PRT_PRT1_LCD_EN
#define SCLK__MASK 0x80u
#define SCLK__PORT 1
#define SCLK__PRT CYDEV_IO_PRT_PRT1_PRT
#define SCLK__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT1_CAPS_SEL
#define SCLK__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT1_DBL_SYNC_IN
#define SCLK__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT1_OE_SEL0
#define SCLK__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT1_OE_SEL1
#define SCLK__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT1_OUT_SEL0
#define SCLK__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT1_OUT_SEL1
#define SCLK__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT1_SYNC_OUT
#define SCLK__PS CYDEV_IO_PRT_PRT1_PS
#define SCLK__SHIFT 7
#define SCLK__SLW CYDEV_IO_PRT_PRT1_SLW

/* SS */
#define SS__0__MASK 0x40u
#define SS__0__PC CYDEV_IO_PC_PRT1_PC6
#define SS__0__PORT 1
#define SS__0__SHIFT 6
#define SS__AG CYDEV_IO_PRT_PRT1_AG
#define SS__AMUX CYDEV_IO_PRT_PRT1_AMUX
#define SS__BIE CYDEV_IO_PRT_PRT1_BIE
#define SS__BIT_MASK CYDEV_IO_PRT_PRT1_BIT_MASK
#define SS__BYP CYDEV_IO_PRT_PRT1_BYP
#define SS__CTL CYDEV_IO_PRT_PRT1_CTL
#define SS__DM0 CYDEV_IO_PRT_PRT1_DM0
#define SS__DM1 CYDEV_IO_PRT_PRT1_DM1
#define SS__DM2 CYDEV_IO_PRT_PRT1_DM2
#define SS__DR CYDEV_IO_PRT_PRT1_DR
#define SS__INP_DIS CYDEV_IO_PRT_PRT1_INP_DIS
#define SS__LCD_COM_SEG CYDEV_IO_PRT_PRT1_LCD_COM_SEG
#define SS__LCD_EN CYDEV_IO_PRT_PRT1_LCD_EN
#define SS__MASK 0x40u
#define SS__PORT 1
#define SS__PRT CYDEV_IO_PRT_PRT1_PRT
#define SS__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT1_CAPS_SEL
#define SS__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT1_DBL_SYNC_IN
#define SS__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT1_OE_SEL0
#define SS__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT1_OE_SEL1
#define SS__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT1_OUT_SEL0
#define SS__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT1_OUT_SEL1
#define SS__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT1_SYNC_OUT
#define SS__PS CYDEV_IO_PRT_PRT1_PS
#define SS__SHIFT 6
#define SS__SLW CYDEV_IO_PRT_PRT1_SLW

/* Miscellaneous */
#define CYDEV_CHIP_REV_PANTHER_ES1 1
#define CYDEV_CHIP_DIE_PANTHER 2
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PANTHER
#define BCLK__BUS_CLK__HZ 48000000U
#define BCLK__BUS_CLK__KHZ 48000U
#define BCLK__BUS_CLK__MHZ 48U
#define CYDEV_BOOTLOADER_WAIT_COMMAND 1
#define CYDEV_BOOTLOADER_WAIT_TIME 10
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_LEOPARD 1
#define CYDEV_CHIP_DIE_UNKNOWN 0
#define CYDEV_CHIP_JTAG_ID 0x0E13C069
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PANTHER_ES1
#define CYDEV_CHIP_REV_LEOPARD_ES1 0
#define CYDEV_CHIP_REV_LEOPARD_ES2 1
#define CYDEV_CHIP_REV_PANTHER_ES0 0
#define CYDEV_CONFIGURATION_ECC 0
#define CYDEV_CONFIGURATION_IMOENABLED 0
#define CYDEV_CONFIGURATION_MODE 0
#define CYDEV_DATA_CACHE_ENABLED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x01
#define CYDEV_DEBUG_ENABLE_REGISTER CYDEV_MFGCFG_MLOGIC_DBG_DBE
#define CYDEV_DEBUGGING_DPS 2
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_USB_CLK_OSC_LOCKING_ENABLED_AT_PWR_UP 
#define CYDEV_VDDA 5.5
#define CYDEV_VDDA_MV 5500
#define CYDEV_VDDD 5.5
#define CYDEV_VDDD_MV 5500
#define CYDEV_VIO0 5.5
#define CYDEV_VIO0_MV 5500
#define CYDEV_VIO1 5.5
#define CYDEV_VIO1_MV 5500
#define CYDEV_VIO2 5.5
#define CYDEV_VIO2_MV 5500
#define CYDEV_VIO3 5.5
#define CYDEV_VIO3_MV 5500
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
