// ======================================================================
// PSoC5.v generated from TopDesign.cysch
// 07/26/2010 at 16:54
// ======================================================================

`define CYDEV_CHIP_REV_PANTHER_ES1 1
`define CYDEV_CHIP_REV_LEOPARD ""
`define CYDEV_CHIP_REV_PANTHER "ES1"

// CharLCD_v1_40(ConversionRoutines=true, CUSTOM0=0,E,8,8,8,E,0, CUSTOM1=0,A,A,4,4,4,0, CUSTOM2=0,E,A,E,8,8,0, CUSTOM3=0,E,A,C,A,A,0, CUSTOM4=0,E,8,C,8,E,0, CUSTOM5=0,E,8,E,2,E,0, CUSTOM6=0,E,8,E,2,E,0, CUSTOM7=0,4,4,4,0,4,0, CustomCharacterSet=0, CY_COMPONENT_NAME=CharLCD_v1_40, CY_INSTANCE_SHORT_NAME=LCD, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=40, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=LCD, )
module CharLCD_v1_40_0 (Unused);
    input   Unused;



	wire [6:0] tmpOE__LCDPort_net;
	wire [6:0] tmpFB_6__LCDPort_net;
	wire [6:0] tmpIO_6__LCDPort_net;
	wire [0:0] tmpINTERRUPT_0__LCDPort_net;
	electrical [0:0] tmpSIOVREF__LCDPort_net;

	cy_psoc3_pins_v1_10
		#(.id("97eff856-4e08-465b-b30c-9f53bdacd1a1/77253644-2d29-412d-87e5-52485cd7a6d7"),
		  .drive_mode(21'b110_110_110_110_110_110_110),
		  .ibuf_enabled(7'b1_1_1_1_1_1_1),
		  .init_dr_st(7'b0_0_0_0_0_0_0),
		  .input_sync(7'b1_1_1_1_1_1_1),
		  .intr_mode(14'b00_00_00_00_00_00_00),
		  .io_voltage(", , , , , , "),
		  .layout_mode("CONTIGUOUS"),
		  .output_conn(7'b0_0_0_0_0_0_0),
		  .output_sync(7'b0_0_0_0_0_0_0),
		  .pin_aliases(",,,,,,"),
		  .pin_mode("OOOOOOO"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(7'b0_0_0_0_0_0_0),
		  .sio_ibuf(""),
		  .sio_info(14'b00_00_00_00_00_00_00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(7'b0_0_0_0_0_0_0),
		  .spanning(0),
		  .vtrip(14'b10_10_10_10_10_10_10),
		  .width(7))
		LCDPort
		 (.oe(tmpOE__LCDPort_net),
		  .y({7'b0}),
		  .fb({tmpFB_6__LCDPort_net[6:0]}),
		  .io({tmpIO_6__LCDPort_net[6:0]}),
		  .siovref(tmpSIOVREF__LCDPort_net),
		  .interrupt({tmpINTERRUPT_0__LCDPort_net[0:0]}));

	assign tmpOE__LCDPort_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{7'b1} : {7'b1};



endmodule

// Component: ZeroTerminal
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\ZeroTerminal"
`include "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\ZeroTerminal\ZeroTerminal.v"
`else
`define CY_BLK_DIR "C:\Program Files\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\ZeroTerminal"
`include "C:\Program Files\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\ZeroTerminal\ZeroTerminal.v"
`endif

// Component: cy_virtualmux_v1_0
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\cy_virtualmux_v1_0"
`include "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\cy_virtualmux_v1_0\cy_virtualmux_v1_0.v"
`else
`define CY_BLK_DIR "C:\Program Files\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\cy_virtualmux_v1_0"
`include "C:\Program Files\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\cy_virtualmux_v1_0\cy_virtualmux_v1_0.v"
`endif

// Component: cy_analog_virtualmux_v1_0
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\cy_analog_virtualmux_v1_0"
`include "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\cy_analog_virtualmux_v1_0\cy_analog_virtualmux_v1_0.v"
`else
`define CY_BLK_DIR "C:\Program Files\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\cy_analog_virtualmux_v1_0"
`include "C:\Program Files\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\cy_analog_virtualmux_v1_0\cy_analog_virtualmux_v1_0.v"
`endif

// ADC_Vssa_v1_0(CY_COMPONENT_NAME=ADC_Vssa_v1_0, CY_INSTANCE_SHORT_NAME=ADC_Vssa_1, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=ADC_DelSig_ADC_Vssa_1, )
module ADC_Vssa_v1_0_1 (vout);
    inout   vout;
    electrical   vout;



    cy_vref_v1_0 vRef_1 (
        .vout(vout));
    defparam vRef_1.guid = "15B3DB15-B7B3-4d62-A2DF-25EA392A7161";



endmodule

// ADC_DelSig_v1_30(ADC_Clock=1, ADC_CLOCK_FREQUENCY=2590000, ADC_Input_Range=2, ADC_Power=1, ADC_Reference=0, ADC_Resolution=16, Clock_Frequency=64000, Conversion_Mode=1, Debug=false, Input_Buffer_Gain=1, Ref_Voltage=1.024, Sample_Rate=10000, Start_of_Conversion=0, CY_COMPONENT_NAME=ADC_DelSig_v1_30, CY_INSTANCE_SHORT_NAME=ADC_DelSig, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=30, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=ADC_DelSig, )
module ADC_DelSig_v1_30_2 (vplus, vminus, soc, eoc, aclk);
    inout   vplus;
    electrical   vplus;
    inout   vminus;
    electrical   vminus;
    input   soc;
    output  eoc;
    input   aclk;


    wire  aclock;
    wire [3:0] mod_dat;
    wire  mod_reset;
    wire [7:0] Net_197;
    wire  Net_199;
    electrical  Net_203;
    electrical  Net_92;
    electrical  Net_194;
    electrical  Net_87;
    electrical  Net_171;
    wire  Net_161;
    wire  Net_51;
    wire  Net_70;
    electrical  Net_94;
    electrical  Net_91;
    electrical  Net_74;
    wire  Net_50;
    wire  Net_40;

    cy_psoc3_ds_mod_v2_0 DSM (
        .vplus(vplus),
        .vminus(Net_74),
        .modbit(Net_70),
        .reset_udb(Net_51),
        .aclock(Net_50),
        .mod_dat(mod_dat[3:0]),
        .dout_udb(Net_197[7:0]),
        .reset_dec(mod_reset),
        .dec_clock(aclock),
        .extclk_cp_udb(Net_161),
        .clk_udb(1'b0),
        .ext_pin_1(Net_171),
        .ext_pin_2(Net_87));
    defparam DSM.resolution = 16;

    cy_psoc3_decimator_v1_0 DEC (
        .aclock(aclock),
        .mod_dat(mod_dat[3:0]),
        .ext_start(soc),
        .mod_reset(mod_reset),
        .interrupt(eoc));

    ZeroTerminal ZeroTerminal_1 (
        .z(Net_70));

    ZeroTerminal ZeroTerminal_2 (
        .z(Net_51));

    ZeroTerminal ZeroTerminal_3 (
        .z(Net_161));

cy_clock_v1_0 theACLK(.clock_out(Net_40));
defparam theACLK.id = "c51ac955-f096-4f17-b3eb-fe5fb18045af/edd15f43-b66b-457b-be3a-5342345270c8";
defparam theACLK.source_clock_id = "";
defparam theACLK.is_direct = 0;
defparam theACLK.divisor = 0;
defparam theACLK.period = "386100386.100386";
defparam theACLK.is_digital = 0;

	// Clock_VirtualMux (cy_virtualmux_v1_0)
	assign Net_50 = Net_40;


	cy_isr_v1_0
		IRQ
		 (.int_signal(eoc));


	// cy_analog_virtualmux_1 (cy_analog_virtualmux_v1_0)
	cy_connect_v1_0 cy_analog_virtualmux_1_connect(Net_74, Net_194);
	defparam cy_analog_virtualmux_1_connect.sig_width = 1;

    ADC_Vssa_v1_0_1 ADC_Vssa_1 (
        .vout(Net_194));

	// cy_analog_virtualmux_2 (cy_analog_virtualmux_v1_0)
	cy_connect_v1_0 cy_analog_virtualmux_2_connect(Net_171, Net_91);
	defparam cy_analog_virtualmux_2_connect.sig_width = 1;

	// cy_analog_virtualmux_3 (cy_analog_virtualmux_v1_0)
	cy_connect_v1_0 cy_analog_virtualmux_3_connect(Net_87, Net_94);
	defparam cy_analog_virtualmux_3_connect.sig_width = 1;

    cy_analog_noconnect_v1_0 cy_analog_noconnect_2 (
        .noconnect(Net_91));

    cy_analog_noconnect_v1_0 cy_analog_noconnect_3 (
        .noconnect(Net_94));



endmodule

// Component: AMux_v1_20
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\AMux_v1_20"
`include "$CYPRESS_DIR\..\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\AMux_v1_20\AMux_v1_20.v"
`else
`define CY_BLK_DIR "C:\Program Files\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\AMux_v1_20"
`include "C:\Program Files\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\AMux_v1_20\AMux_v1_20.v"
`endif

// Component: B_SPI_Master_v1_20
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\B_SPI_Master_v1_20"
`include "$CYPRESS_DIR\..\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\B_SPI_Master_v1_20\B_SPI_Master_v1_20.v"
`else
`define CY_BLK_DIR "C:\Program Files\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\B_SPI_Master_v1_20"
`include "C:\Program Files\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\B_SPI_Master_v1_20\B_SPI_Master_v1_20.v"
`endif

// SPI_Master_v1_20(ClockInternal=true, CyGetRegReplacementString=CY_GET_REG16, CySetRegReplacementString=CY_SET_REG16, DesiredBitRate=1000000, InternalClockUsed=1, InternalInterruptEnabled=0, InterruptOnByteComplete=false, InterruptOnRXEmpty=false, InterruptOnRXNotEmpty=false, InterruptOnRXOverrun=false, InterruptOnSPIDone=false, InterruptOnTXFull=false, InterruptOnTXNotFull=false, IntOnByteComp=0, IntOnRXEmpty=0, IntOnRXNotEmpty=0, IntOnRXOver=0, IntOnSPIDone=0, IntOnTXFull=0, IntOnTXNotFull=0, Mode=3, ModeUseZero=0, NumberOfDataBits=16, RegDefReplacementString=reg16, RegSizeReplacementString=uint16, RxBufferSize=1, ShiftDir=0, TxBufferSize=1, UseInternalInterrupt=false, VerilogSectionReplacementString=sR16, CY_COMPONENT_NAME=SPI_Master_v1_20, CY_INSTANCE_SHORT_NAME=SPIM, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=20, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=SPIM, )
module SPI_Master_v1_20_3 (clock, reset, miso, sclk, mosi, ss, interrupt, empty2, empty, state, counter_one);
    input   clock;
    input   reset;
    input   miso;
    output  sclk;
    output  mosi;
    output  ss;
    output  interrupt;
    output  empty2;
    output  empty;
    output [2:0] state;
    output  counter_one;

    parameter NumberOfDataBits = 16;
    parameter ShiftDir = 0;

    wire  Net_9;
    wire  Net_10;

	// VirtualMux_1 (cy_virtualmux_v1_0)
	assign Net_10 = Net_9;

cy_clock_v1_0 IntClock(.clock_out(Net_9));
defparam IntClock.id = "16430c6a-b53c-4141-899e-87c7a041e165/426fcbe0-714d-4404-8fa8-581ff40c30f1";
defparam IntClock.source_clock_id = "";
defparam IntClock.is_direct = 0;
defparam IntClock.divisor = 0;
defparam IntClock.period = "500000000";
defparam IntClock.is_digital = 1;

    B_SPI_Master_v1_20 BSPIM (
        .mosi(mosi),
        .sclk(sclk),
        .ss(ss),
        .miso(miso),
        .clock(Net_10),
        .reset(reset),
        .interrupt(interrupt),
        .state(state[2:0]),
        .empty(empty),
        .empty2(empty2),
        .counter_one(counter_one));
    defparam BSPIM.ModeCPHA = 1;
    defparam BSPIM.ModePOL = 0;
    defparam BSPIM.NumberOfDataBits = 16;
    defparam BSPIM.ShiftDir = 0;



endmodule

// Component: not_v1_0
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\not_v1_0"
`include "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\not_v1_0\not_v1_0.v"
`else
`define CY_BLK_DIR "C:\Program Files\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\not_v1_0"
`include "C:\Program Files\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\not_v1_0\not_v1_0.v"
`endif

// Component: B_UART_v1_20
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\B_UART_v1_20"
`include "$CYPRESS_DIR\..\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\B_UART_v1_20\B_UART_v1_20.v"
`else
`define CY_BLK_DIR "C:\Program Files\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\B_UART_v1_20"
`include "C:\Program Files\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\B_UART_v1_20\B_UART_v1_20.v"
`endif

// UART_v1_20(Address1=0, Address2=0, BaudRate=115200, BreakDetect=true, CRCoutputsEn=false, Enable_RX=0, Enable_RXIntInterrupt=0, Enable_TX=1, Enable_TXIntInterrupt=0, EnableHWAddress=1, EnIntRXInterrupt=false, EnIntTXInterrupt=false, ExClockFrequency=0, FlowControl=0, HalfDuplexEn=false, HwTXEnSignal=true, InternalClock=true, InternalClockUsed=1, InterruptOnAddDetect=0, InterruptOnAddressMatch=0, InterruptOnBreak=0, InterruptOnByteRcvd=0, InterruptOnOverrunError=0, InterruptOnParityError=0, InterruptOnStopError=0, InterruptOnTXComplete=false, InterruptOnTXFifoEmpty=false, InterruptOnTXFifoFull=false, InterruptOnTXFifoNotFull=false, IntOnAddressDetect=false, IntOnAddressMatch=false, IntOnBreak=false, IntOnByteRcvd=false, IntOnOverrunError=false, IntOnParityError=false, IntOnStopError=false, NumDataBits=8, NumStopBits=1, OverSamplingRate=8, ParityType=0, PSOC32bit=true, RequiredClock=921600, RXAddressMode=1, RXBufferSize=1, RXEnable=false, TXBitClkGenDP=true, TXBufferSize=1, TXEnable=true, Use23Polling=true, CY_COMPONENT_NAME=UART_v1_20, CY_INSTANCE_SHORT_NAME=UART, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=20, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=UART, )
module UART_v1_20_4 (rx, clock, cts_n, reset, rts_n, tx_en, tx, tx_interrupt, rx_interrupt, tx_data, tx_clk, rx_data, rx_clk);
    input   rx;
    input   clock;
    input   cts_n;
    input   reset;
    output  rts_n;
    output  tx_en;
    output  tx;
    output  tx_interrupt;
    output  rx_interrupt;
    output  tx_data;
    output  tx_clk;
    output  rx_data;
    output  rx_clk;

    parameter Address1 = 0;
    parameter Address2 = 0;
    parameter EnIntRXInterrupt = 0;
    parameter EnIntTXInterrupt = 0;
    parameter FlowControl = 0;
    parameter HalfDuplexEn = 0;
    parameter HwTXEnSignal = 1;
    parameter NumDataBits = 8;
    parameter NumStopBits = 1;
    parameter ParityType = 0;
    parameter RXEnable = 0;
    parameter TXEnable = 1;

    wire  Net_9;
    wire  Net_61;

cy_clock_v1_0 IntClock(.clock_out(Net_9));
defparam IntClock.id = "baace5c4-b1e5-4f2b-908c-bac3259503c2/be0a0e37-ad17-42ca-b5a1-1a654d736358";
defparam IntClock.source_clock_id = "";
defparam IntClock.is_direct = 0;
defparam IntClock.divisor = 0;
defparam IntClock.period = "1085069444.44444";
defparam IntClock.is_digital = 1;

	// VirtualMux_1 (cy_virtualmux_v1_0)
	assign Net_61 = Net_9;

    B_UART_v1_20 BUART (
        .cts_n(cts_n),
        .tx(tx),
        .rts_n(rts_n),
        .tx_en(tx_en),
        .clock(Net_61),
        .reset(reset),
        .rx(rx),
        .tx_interrupt(tx_interrupt),
        .rx_interrupt(rx_interrupt),
        .tx_data(tx_data),
        .tx_clk(tx_clk),
        .rx_data(rx_data),
        .rx_clk(rx_clk));
    defparam BUART.Address1 = 0;
    defparam BUART.Address2 = 0;
    defparam BUART.BreakDetect = 1;
    defparam BUART.CRCoutputsEn = 0;
    defparam BUART.FlowControl = 0;
    defparam BUART.HalfDuplexEn = 0;
    defparam BUART.HwTXEnSignal = 1;
    defparam BUART.NumDataBits = 8;
    defparam BUART.NumStopBits = 1;
    defparam BUART.OverSampleCount = 8;
    defparam BUART.ParityType = 0;
    defparam BUART.RXAddressMode = 1;
    defparam BUART.RXEnable = 0;
    defparam BUART.RXStatusIntEnable = 0;
    defparam BUART.TXBitClkGenDP = 1;
    defparam BUART.TXEnable = 1;
    defparam BUART.Use23Polling = 1;



endmodule

// USBUART(DescChanged=0, DeviceDescriptors=, DeviceRelease=0, hid_class=false, HIDReportDescriptors=, ManufacturerString=Cypress, mon_vbus=false, num_string_descr=0, PID=4660, ProductString=USBUART Ex Project, rm_arb_int=false, rm_dma=false, rm_dma_1=true, rm_dma_2=true, rm_dma_3=true, rm_dma_4=true, rm_dma_5=true, rm_dma_6=true, rm_dma_7=true, rm_dma_8=false, rm_ep_isr_0=false, rm_ep_isr_1=false, rm_ep_isr_2=false, rm_ep_isr_3=false, rm_ep_isr_4=false, rm_ep_isr_5=false, rm_ep_isr_6=false, rm_ep_isr_7=false, rm_ep_isr_8=false, rm_isr=false, rm_ord_int=false, rm_sof_int=false, rm_usb_int=false, SerialString=, StringDescriptors=, VID=1204, z_hid_example=false, z_user_def_example=false, CY_COMPONENT_NAME=USBUART, CY_INSTANCE_SHORT_NAME=USBUART, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=USBUART, )
module USBUART_5 (UNUSED);
    input   UNUSED;


    wire [7:0] dma_req;
    wire  Net_589;
    wire  Net_590;
    wire [8:0] ept_int;
    wire  Net_591;
    wire  Net_592;
    wire  Net_593;
    electrical  Net_548;
    electrical  Net_522;
    wire  Net_95;
    wire  Net_81;
    wire  Net_79;
    wire  Net_77;

    cy_psoc3_usb_v1_0 USB (
        .dp(Net_548),
        .dm(Net_522),
        .sof_int(Net_77),
        .arb_int(Net_79),
        .usb_int(Net_81),
        .ept_int(ept_int[8:0]),
        .ord_int(Net_95),
        .dma_req(dma_req[7:0]));

    cy_isr_v1_0 sof_int (
        .int_signal(Net_77));

    cy_isr_v1_0 arb_int (
        .int_signal(Net_79));

    cy_isr_v1_0 bus_reset (
        .int_signal(Net_81));

    cy_isr_v1_0 ep_0 (
        .int_signal(ept_int[0:0]));

    cy_isr_v1_0 ep_1 (
        .int_signal(ept_int[1:1]));

    cy_isr_v1_0 ep_2 (
        .int_signal(ept_int[2:2]));

    cy_isr_v1_0 ep_3 (
        .int_signal(ept_int[3:3]));

    cy_isr_v1_0 ep_4 (
        .int_signal(ept_int[4:4]));

    cy_isr_v1_0 ep_5 (
        .int_signal(ept_int[5:5]));

    cy_isr_v1_0 ep_6 (
        .int_signal(ept_int[6:6]));

    cy_isr_v1_0 ep_7 (
        .int_signal(ept_int[7:7]));

    cy_isr_v1_0 ep_8 (
        .int_signal(ept_int[8:8]));

    cy_isr_v1_0 ord_int (
        .int_signal(Net_95));

	wire [0:0] tmpOE__dp_net;

	cy_psoc3_port_v1_0
		#(.width(1),
		  .siorefwidth(1),
		  .id("6831a42d-dc06-4d30-8eae-91a644f6fd62/427d7144-a1e8-4bca-a79f-71f65bb81965"),
		  .pin_aliases("dp"),
		  .access_mode("HW_ONLY"),
		  .layout_mode("NONCONTIGUOUS"),
		  .port_mode("ANALOG"),
		  .intr_mode(2'b00),
		  .drive_mode(3'b000),
		  .por_state(0))
		dp
		 (.oe(tmpOE__dp_net),
		  .y(1'b0),
		  .analog(Net_548));

	assign tmpOE__dp_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? 1'b1 : 1'b0;

	wire [0:0] tmpOE__dm_net;

	cy_psoc3_port_v1_0
		#(.width(1),
		  .siorefwidth(1),
		  .id("6831a42d-dc06-4d30-8eae-91a644f6fd62/43f229e4-33ed-4b6c-9f8f-6d60713ebee5"),
		  .pin_aliases("dm"),
		  .access_mode("HW_ONLY"),
		  .layout_mode("NONCONTIGUOUS"),
		  .port_mode("ANALOG"),
		  .intr_mode(2'b00),
		  .drive_mode(3'b000),
		  .por_state(0))
		dm
		 (.oe(tmpOE__dm_net),
		  .y(1'b0),
		  .analog(Net_522));

	assign tmpOE__dm_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? 1'b1 : 1'b0;



endmodule

// VDAC8_v1_20(Data_Source=0, Initial_Value=100, Strobe_Mode=0, VDAC_Range=4, VDAC_Speed=0, CY_COMPONENT_NAME=VDAC8_v1_20, CY_INSTANCE_SHORT_NAME=VDAC8_XH, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=20, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=VDAC8_XH, )
module VDAC8_v1_20_6 (strobe, data, vOut);
    input   strobe;
    input  [7:0] data;
    inout   vOut;
    electrical   vOut;

    parameter Data_Source = 0;
    parameter Initial_Value = 100;
    parameter Strobe_Mode = 0;

    electrical  Net_77;
    wire  Net_83;
    wire  Net_82;
    wire  Net_81;

    cy_psoc3_vidac8_v1_0 viDAC8 (
        .reset(Net_83),
        .idir(Net_81),
        .data(data[7:0]),
        .strobe(strobe),
        .vout(vOut),
        .iout(Net_77),
        .ioff(Net_82),
        .strobe_udb(strobe));
    defparam viDAC8.reg_data = 0;

    ZeroTerminal ZeroTerminal_1 (
        .z(Net_81));

    ZeroTerminal ZeroTerminal_2 (
        .z(Net_82));

    ZeroTerminal ZeroTerminal_3 (
        .z(Net_83));

    cy_analog_noconnect_v1_0 cy_analog_noconnect_1 (
        .noconnect(Net_77));



endmodule

// VDAC8_v1_20(Data_Source=0, Initial_Value=100, Strobe_Mode=0, VDAC_Range=4, VDAC_Speed=0, CY_COMPONENT_NAME=VDAC8_v1_20, CY_INSTANCE_SHORT_NAME=VDAC8_XL, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=20, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=VDAC8_XL, )
module VDAC8_v1_20_7 (strobe, data, vOut);
    input   strobe;
    input  [7:0] data;
    inout   vOut;
    electrical   vOut;

    parameter Data_Source = 0;
    parameter Initial_Value = 100;
    parameter Strobe_Mode = 0;

    electrical  Net_77;
    wire  Net_83;
    wire  Net_82;
    wire  Net_81;

    cy_psoc3_vidac8_v1_0 viDAC8 (
        .reset(Net_83),
        .idir(Net_81),
        .data(data[7:0]),
        .strobe(strobe),
        .vout(vOut),
        .iout(Net_77),
        .ioff(Net_82),
        .strobe_udb(strobe));
    defparam viDAC8.reg_data = 0;

    ZeroTerminal ZeroTerminal_1 (
        .z(Net_81));

    ZeroTerminal ZeroTerminal_2 (
        .z(Net_82));

    ZeroTerminal ZeroTerminal_3 (
        .z(Net_83));

    cy_analog_noconnect_v1_0 cy_analog_noconnect_1 (
        .noconnect(Net_77));



endmodule

// Comp_v1_10(Hysteresis=1, Polarity=1, Speed=0, Sync=1, CY_COMPONENT_NAME=Comp_v1_10, CY_INSTANCE_SHORT_NAME=COMP_XH, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=10, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=COMP_XH, )
module Comp_v1_10_8 (Vplus, CmpOut, Vminus, clock);
    inout   Vplus;
    electrical   Vplus;
    output  CmpOut;
    inout   Vminus;
    electrical   Vminus;
    input   clock;


    wire  Net_2;
    wire  Net_1;

    cy_psoc3_ctcomp_v1_0 ctComp (
        .vplus(Vplus),
        .vminus(Vminus),
        .cmpout(Net_1),
        .clk_udb(clock),
        .clock(clock));

	// VirtualMux_1 (cy_virtualmux_v1_0)
	assign CmpOut = Net_2;


    assign Net_2 = ~Net_1;



endmodule

// OpAmp_v1_10(Mode=1, Power=1, CY_COMPONENT_NAME=OpAmp_v1_10, CY_INSTANCE_SHORT_NAME=OpAmp_X, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=10, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=OpAmp_X, )
module OpAmp_v1_10_9 (Vplus, Vout, Vminus);
    inout   Vplus;
    electrical   Vplus;
    inout   Vout;
    electrical   Vout;
    inout   Vminus;
    electrical   Vminus;

    parameter Mode = 1;

    electrical  Net_29;

    cy_psoc3_abuf_v1_0 ABuf (
        .vplus(Vplus),
        .vminus(Net_29),
        .vout(Vout));

	// abuf_negInput_mux (cy_analog_virtualmux_v1_0)
	cy_connect_v1_0 abuf_negInput_mux_connect(Net_29, Vout);
	defparam abuf_negInput_mux_connect.sig_width = 1;



endmodule

// Component: or_v1_0
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\or_v1_0"
`include "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\or_v1_0\or_v1_0.v"
`else
`define CY_BLK_DIR "C:\Program Files\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\or_v1_0"
`include "C:\Program Files\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\or_v1_0\or_v1_0.v"
`endif

// Comp_v1_10(Hysteresis=1, Polarity=1, Speed=0, Sync=1, CY_COMPONENT_NAME=Comp_v1_10, CY_INSTANCE_SHORT_NAME=COMP_XL, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=10, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=COMP_XL, )
module Comp_v1_10_10 (Vplus, CmpOut, Vminus, clock);
    inout   Vplus;
    electrical   Vplus;
    output  CmpOut;
    inout   Vminus;
    electrical   Vminus;
    input   clock;


    wire  Net_2;
    wire  Net_1;

    cy_psoc3_ctcomp_v1_0 ctComp (
        .vplus(Vplus),
        .vminus(Vminus),
        .cmpout(Net_1),
        .clk_udb(clock),
        .clock(clock));

	// VirtualMux_1 (cy_virtualmux_v1_0)
	assign CmpOut = Net_2;


    assign Net_2 = ~Net_1;



endmodule

// Comp_v1_10(Hysteresis=1, Polarity=1, Speed=0, Sync=1, CY_COMPONENT_NAME=Comp_v1_10, CY_INSTANCE_SHORT_NAME=COMP_YH, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=10, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=COMP_YH, )
module Comp_v1_10_11 (Vplus, CmpOut, Vminus, clock);
    inout   Vplus;
    electrical   Vplus;
    output  CmpOut;
    inout   Vminus;
    electrical   Vminus;
    input   clock;


    wire  Net_2;
    wire  Net_1;

    cy_psoc3_ctcomp_v1_0 ctComp (
        .vplus(Vplus),
        .vminus(Vminus),
        .cmpout(Net_1),
        .clk_udb(clock),
        .clock(clock));

	// VirtualMux_1 (cy_virtualmux_v1_0)
	assign CmpOut = Net_2;


    assign Net_2 = ~Net_1;



endmodule

// VDAC8_v1_20(Data_Source=0, Initial_Value=100, Strobe_Mode=0, VDAC_Range=4, VDAC_Speed=0, CY_COMPONENT_NAME=VDAC8_v1_20, CY_INSTANCE_SHORT_NAME=VDAC8_YH, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=20, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=VDAC8_YH, )
module VDAC8_v1_20_12 (strobe, data, vOut);
    input   strobe;
    input  [7:0] data;
    inout   vOut;
    electrical   vOut;

    parameter Data_Source = 0;
    parameter Initial_Value = 100;
    parameter Strobe_Mode = 0;

    electrical  Net_77;
    wire  Net_83;
    wire  Net_82;
    wire  Net_81;

    cy_psoc3_vidac8_v1_0 viDAC8 (
        .reset(Net_83),
        .idir(Net_81),
        .data(data[7:0]),
        .strobe(strobe),
        .vout(vOut),
        .iout(Net_77),
        .ioff(Net_82),
        .strobe_udb(strobe));
    defparam viDAC8.reg_data = 0;

    ZeroTerminal ZeroTerminal_1 (
        .z(Net_81));

    ZeroTerminal ZeroTerminal_2 (
        .z(Net_82));

    ZeroTerminal ZeroTerminal_3 (
        .z(Net_83));

    cy_analog_noconnect_v1_0 cy_analog_noconnect_1 (
        .noconnect(Net_77));



endmodule

// VDAC8_v1_20(Data_Source=0, Initial_Value=100, Strobe_Mode=0, VDAC_Range=4, VDAC_Speed=0, CY_COMPONENT_NAME=VDAC8_v1_20, CY_INSTANCE_SHORT_NAME=VDAC8_YL, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=20, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=VDAC8_YL, )
module VDAC8_v1_20_13 (strobe, data, vOut);
    input   strobe;
    input  [7:0] data;
    inout   vOut;
    electrical   vOut;

    parameter Data_Source = 0;
    parameter Initial_Value = 100;
    parameter Strobe_Mode = 0;

    electrical  Net_77;
    wire  Net_83;
    wire  Net_82;
    wire  Net_81;

    cy_psoc3_vidac8_v1_0 viDAC8 (
        .reset(Net_83),
        .idir(Net_81),
        .data(data[7:0]),
        .strobe(strobe),
        .vout(vOut),
        .iout(Net_77),
        .ioff(Net_82),
        .strobe_udb(strobe));
    defparam viDAC8.reg_data = 0;

    ZeroTerminal ZeroTerminal_1 (
        .z(Net_81));

    ZeroTerminal ZeroTerminal_2 (
        .z(Net_82));

    ZeroTerminal ZeroTerminal_3 (
        .z(Net_83));

    cy_analog_noconnect_v1_0 cy_analog_noconnect_1 (
        .noconnect(Net_77));



endmodule

// OpAmp_v1_10(Mode=1, Power=1, CY_COMPONENT_NAME=OpAmp_v1_10, CY_INSTANCE_SHORT_NAME=OpAmp_Y, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=10, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=OpAmp_Y, )
module OpAmp_v1_10_14 (Vplus, Vout, Vminus);
    inout   Vplus;
    electrical   Vplus;
    inout   Vout;
    electrical   Vout;
    inout   Vminus;
    electrical   Vminus;

    parameter Mode = 1;

    electrical  Net_29;

    cy_psoc3_abuf_v1_0 ABuf (
        .vplus(Vplus),
        .vminus(Net_29),
        .vout(Vout));

	// abuf_negInput_mux (cy_analog_virtualmux_v1_0)
	cy_connect_v1_0 abuf_negInput_mux_connect(Net_29, Vout);
	defparam abuf_negInput_mux_connect.sig_width = 1;



endmodule

// Comp_v1_10(Hysteresis=1, Polarity=1, Speed=0, Sync=1, CY_COMPONENT_NAME=Comp_v1_10, CY_INSTANCE_SHORT_NAME=COMP_YL, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=10, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=COMP_YL, )
module Comp_v1_10_15 (Vplus, CmpOut, Vminus, clock);
    inout   Vplus;
    electrical   Vplus;
    output  CmpOut;
    inout   Vminus;
    electrical   Vminus;
    input   clock;


    wire  Net_2;
    wire  Net_1;

    cy_psoc3_ctcomp_v1_0 ctComp (
        .vplus(Vplus),
        .vminus(Vminus),
        .cmpout(Net_1),
        .clk_udb(clock),
        .clock(clock));

	// VirtualMux_1 (cy_virtualmux_v1_0)
	assign CmpOut = Net_2;


    assign Net_2 = ~Net_1;



endmodule

// top
module top ;

    wire  Net_452;
    electrical  Net_440;
    wire  Net_434;
    wire [7:0] Net_450;
    wire  Net_449;
    wire [7:0] Net_448;
    wire  Net_447;
    wire  Net_451;
    wire  Net_284;
    electrical  Net_240;
    wire  Net_312;
    wire  Net_283;
    wire [7:0] Net_200;
    wire  Net_199;
    wire [7:0] Net_282;
    wire  Net_281;
    wire  Net_180;
    wire  Net_178;
    wire  Net_177;
    wire  Net_176;
    wire  Net_175;
    wire  Net_174;
    wire  Net_173;
    wire  Net_172;
    wire  Net_171;
    wire  Net_170;
    wire  Net_169;
    wire  Net_168;
    wire  Net_166;
    wire  Net_71;
    wire  Net_70;
    wire  Net_69;
    wire [2:0] Net_68;
    wire  Net_67;
    wire  Net_50;
    wire  Net_66;
    wire  Net_216;
    wire  Net_215;
    wire  Net_214;
    electrical  Net_213;
    electrical  Net_212;
    wire  Net_2;
    wire  Net_456;
    wire  Net_455;
    wire  Net_437;
    wire  Net_431;
    electrical  Net_430;
    electrical  Net_432;
    electrical  Net_435;
    electrical  Net_427;
    wire  Net_271;
    wire  Net_274;
    electrical  Net_278;
    electrical  Net_220;
    electrical  Net_290;
    electrical  Net_230;
    wire  Net_115;
    wire  Net_116;
    wire  Net_117;
    wire  Net_59;

    CharLCD_v1_40_0 LCD (
        .Unused(1'b0));

    ADC_DelSig_v1_30_2 ADC_DelSig (
        .vplus(Net_212),
        .vminus(Net_213),
        .soc(1'b1),
        .eoc(Net_215),
        .aclk(1'b0));

    // -- AMux AMux start -- ***
    // -- Mux A --
    
    cy_psoc3_amux_v1_0 AMux(
        .muxin({
            Net_432,
            Net_290
            }),
        .vout(Net_212)
        );
    
    defparam AMux.muxin_width = 2;
    defparam AMux.init_mux_sel = 2'h0;
    defparam AMux.one_active = 0;
    
    // -- AMux AMux end --

	wire [0:0] tmpOE__Sensor_X_net;
	wire [0:0] tmpFB_0__Sensor_X_net;
	wire [0:0] tmpIO_0__Sensor_X_net;
	wire [0:0] tmpINTERRUPT_0__Sensor_X_net;
	electrical [0:0] tmpSIOVREF__Sensor_X_net;

	cy_psoc3_pins_v1_10
		#(.id("cc3bcd7e-5dc0-48ea-9bf6-6aa082be1ada"),
		  .drive_mode(3'b000),
		  .ibuf_enabled(1'b0),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("NONCONTIGUOUS"),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("A"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(1),
		  .vtrip(2'b10),
		  .width(1))
		Sensor_X
		 (.oe(tmpOE__Sensor_X_net),
		  .y({1'b0}),
		  .fb({tmpFB_0__Sensor_X_net[0:0]}),
		  .analog({Net_230}),
		  .io({tmpIO_0__Sensor_X_net[0:0]}),
		  .siovref(tmpSIOVREF__Sensor_X_net),
		  .interrupt({tmpINTERRUPT_0__Sensor_X_net[0:0]}));

	assign tmpOE__Sensor_X_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{1'b1} : {1'b1};

	wire [0:0] tmpOE__Sensor_Y_net;
	wire [0:0] tmpFB_0__Sensor_Y_net;
	wire [0:0] tmpIO_0__Sensor_Y_net;
	wire [0:0] tmpINTERRUPT_0__Sensor_Y_net;
	electrical [0:0] tmpSIOVREF__Sensor_Y_net;

	cy_psoc3_pins_v1_10
		#(.id("539cf9f2-5ccb-4c10-8ca5-d2166ade511d"),
		  .drive_mode(3'b000),
		  .ibuf_enabled(1'b0),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("NONCONTIGUOUS"),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("A"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(1),
		  .vtrip(2'b10),
		  .width(1))
		Sensor_Y
		 (.oe(tmpOE__Sensor_Y_net),
		  .y({1'b0}),
		  .fb({tmpFB_0__Sensor_Y_net[0:0]}),
		  .analog({Net_435}),
		  .io({tmpIO_0__Sensor_Y_net[0:0]}),
		  .siovref(tmpSIOVREF__Sensor_Y_net),
		  .interrupt({tmpINTERRUPT_0__Sensor_Y_net[0:0]}));

	assign tmpOE__Sensor_Y_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{1'b1} : {1'b1};

    SPI_Master_v1_20_3 SPIM (
        .mosi(Net_115),
        .sclk(Net_116),
        .ss(Net_117),
        .miso(Net_456),
        .clock(1'b0),
        .reset(Net_50),
        .interrupt(Net_67),
        .state(Net_68[2:0]),
        .empty(Net_69),
        .empty2(Net_70),
        .counter_one(Net_71));
    defparam SPIM.NumberOfDataBits = 16;
    defparam SPIM.ShiftDir = 0;

	wire [0:0] tmpOE__SCLK_net;
	wire [0:0] tmpFB_0__SCLK_net;
	wire [0:0] tmpIO_0__SCLK_net;
	wire [0:0] tmpINTERRUPT_0__SCLK_net;
	electrical [0:0] tmpSIOVREF__SCLK_net;

	cy_psoc3_pins_v1_10
		#(.id("0502ca6c-826f-4ad6-adfc-077461605e0e"),
		  .drive_mode(3'b110),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .output_conn(1'b1),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("O"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b10),
		  .width(1))
		SCLK
		 (.oe(tmpOE__SCLK_net),
		  .y({Net_116}),
		  .fb({tmpFB_0__SCLK_net[0:0]}),
		  .io({tmpIO_0__SCLK_net[0:0]}),
		  .siovref(tmpSIOVREF__SCLK_net),
		  .interrupt({tmpINTERRUPT_0__SCLK_net[0:0]}));

	assign tmpOE__SCLK_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{1'b1} : {1'b1};

    ZeroTerminal ZeroTerminal_1 (
        .z(Net_50));

	wire [0:0] tmpOE__MISO_net;
	wire [0:0] tmpIO_0__MISO_net;
	wire [0:0] tmpINTERRUPT_0__MISO_net;
	electrical [0:0] tmpSIOVREF__MISO_net;

	cy_psoc3_pins_v1_10
		#(.id("1425177d-0d0e-4468-8bcc-e638e5509a9b"),
		  .drive_mode(3'b001),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("I"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b00),
		  .width(1))
		MISO
		 (.oe(tmpOE__MISO_net),
		  .y({1'b0}),
		  .fb({Net_456}),
		  .io({tmpIO_0__MISO_net[0:0]}),
		  .siovref(tmpSIOVREF__MISO_net),
		  .interrupt({tmpINTERRUPT_0__MISO_net[0:0]}));

	assign tmpOE__MISO_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{1'b1} : {1'b1};

	wire [0:0] tmpOE__MOSI_net;
	wire [0:0] tmpFB_0__MOSI_net;
	wire [0:0] tmpIO_0__MOSI_net;
	wire [0:0] tmpINTERRUPT_0__MOSI_net;
	electrical [0:0] tmpSIOVREF__MOSI_net;

	cy_psoc3_pins_v1_10
		#(.id("ed092b9b-d398-4703-be89-cebf998501f6"),
		  .drive_mode(3'b110),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .output_conn(1'b1),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("O"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b10),
		  .width(1))
		MOSI
		 (.oe(tmpOE__MOSI_net),
		  .y({Net_115}),
		  .fb({tmpFB_0__MOSI_net[0:0]}),
		  .io({tmpIO_0__MOSI_net[0:0]}),
		  .siovref(tmpSIOVREF__MOSI_net),
		  .interrupt({tmpINTERRUPT_0__MOSI_net[0:0]}));

	assign tmpOE__MOSI_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{1'b1} : {1'b1};

	wire [0:0] tmpOE__SS_net;
	wire [0:0] tmpFB_0__SS_net;
	wire [0:0] tmpIO_0__SS_net;
	wire [0:0] tmpINTERRUPT_0__SS_net;
	electrical [0:0] tmpSIOVREF__SS_net;

	cy_psoc3_pins_v1_10
		#(.id("e15206f1-1ef2-48ec-b276-a1d32d025ded"),
		  .drive_mode(3'b110),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .output_conn(1'b1),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("O"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b10),
		  .width(1))
		SS
		 (.oe(tmpOE__SS_net),
		  .y({Net_59}),
		  .fb({tmpFB_0__SS_net[0:0]}),
		  .io({tmpIO_0__SS_net[0:0]}),
		  .siovref(tmpSIOVREF__SS_net),
		  .interrupt({tmpINTERRUPT_0__SS_net[0:0]}));

	assign tmpOE__SS_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{1'b1} : {1'b1};


    assign Net_59 = ~Net_117;

	wire [0:0] tmpOE__nPushSW_net;
	wire [0:0] tmpFB_0__nPushSW_net;
	wire [0:0] tmpIO_0__nPushSW_net;
	wire [0:0] tmpINTERRUPT_0__nPushSW_net;
	electrical [0:0] tmpSIOVREF__nPushSW_net;

	cy_psoc3_pins_v1_10
		#(.id("4b1cd83f-77d4-463a-a67c-919b040c1d68"),
		  .drive_mode(3'b010),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b1),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("I"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b00),
		  .width(1))
		nPushSW
		 (.oe(tmpOE__nPushSW_net),
		  .y({1'b0}),
		  .fb({tmpFB_0__nPushSW_net[0:0]}),
		  .io({tmpIO_0__nPushSW_net[0:0]}),
		  .siovref(tmpSIOVREF__nPushSW_net),
		  .interrupt({tmpINTERRUPT_0__nPushSW_net[0:0]}));

	assign tmpOE__nPushSW_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{1'b1} : {1'b1};

    UART_v1_20_4 UART (
        .cts_n(1'b0),
        .tx(Net_455),
        .rts_n(Net_168),
        .tx_en(Net_169),
        .clock(1'b0),
        .reset(Net_171),
        .rx(1'b0),
        .tx_interrupt(Net_173),
        .rx_interrupt(Net_174),
        .tx_data(Net_175),
        .tx_clk(Net_176),
        .rx_data(Net_177),
        .rx_clk(Net_178));
    defparam UART.Address1 = 0;
    defparam UART.Address2 = 0;
    defparam UART.EnIntRXInterrupt = 0;
    defparam UART.EnIntTXInterrupt = 0;
    defparam UART.FlowControl = 0;
    defparam UART.HalfDuplexEn = 0;
    defparam UART.HwTXEnSignal = 1;
    defparam UART.NumDataBits = 8;
    defparam UART.NumStopBits = 1;
    defparam UART.ParityType = 0;
    defparam UART.RXEnable = 0;
    defparam UART.TXEnable = 1;

	wire [0:0] tmpOE__UART_TX_net;
	wire [0:0] tmpFB_0__UART_TX_net;
	wire [0:0] tmpIO_0__UART_TX_net;
	wire [0:0] tmpINTERRUPT_0__UART_TX_net;
	electrical [0:0] tmpSIOVREF__UART_TX_net;

	cy_psoc3_pins_v1_10
		#(.id("29924aa6-3658-413e-9e84-8caf245b57d4"),
		  .drive_mode(3'b110),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .output_conn(1'b1),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("O"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b10),
		  .width(1))
		UART_TX
		 (.oe(tmpOE__UART_TX_net),
		  .y({Net_455}),
		  .fb({tmpFB_0__UART_TX_net[0:0]}),
		  .io({tmpIO_0__UART_TX_net[0:0]}),
		  .siovref(tmpSIOVREF__UART_TX_net),
		  .interrupt({tmpINTERRUPT_0__UART_TX_net[0:0]}));

	assign tmpOE__UART_TX_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{1'b1} : {1'b1};

    ZeroTerminal ZeroTerminal_2 (
        .z(Net_171));

    USBUART_5 USBUART (
        .UNUSED(1'b0));

    VDAC8_v1_20_6 VDAC8_XH (
        .strobe(1'b0),
        .data(8'b00000000),
        .vOut(Net_220));
    defparam VDAC8_XH.Data_Source = 0;
    defparam VDAC8_XH.Initial_Value = 100;
    defparam VDAC8_XH.Strobe_Mode = 0;

    VDAC8_v1_20_7 VDAC8_XL (
        .strobe(1'b0),
        .data(8'b00000000),
        .vOut(Net_278));
    defparam VDAC8_XL.Data_Source = 0;
    defparam VDAC8_XL.Initial_Value = 100;
    defparam VDAC8_XL.Strobe_Mode = 0;

	wire [0:0] tmpOE__DAC_XH_OUT_net;
	wire [0:0] tmpFB_0__DAC_XH_OUT_net;
	wire [0:0] tmpIO_0__DAC_XH_OUT_net;
	wire [0:0] tmpINTERRUPT_0__DAC_XH_OUT_net;
	electrical [0:0] tmpSIOVREF__DAC_XH_OUT_net;

	cy_psoc3_pins_v1_10
		#(.id("344c44a8-8541-4fe1-adc6-fb3c45a5c648"),
		  .drive_mode(3'b000),
		  .ibuf_enabled(1'b0),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("NONCONTIGUOUS"),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("A"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(1),
		  .vtrip(2'b10),
		  .width(1))
		DAC_XH_OUT
		 (.oe(tmpOE__DAC_XH_OUT_net),
		  .y({1'b0}),
		  .fb({tmpFB_0__DAC_XH_OUT_net[0:0]}),
		  .analog({Net_220}),
		  .io({tmpIO_0__DAC_XH_OUT_net[0:0]}),
		  .siovref(tmpSIOVREF__DAC_XH_OUT_net),
		  .interrupt({tmpINTERRUPT_0__DAC_XH_OUT_net[0:0]}));

	assign tmpOE__DAC_XH_OUT_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{1'b1} : {1'b1};

	wire [0:0] tmpOE__DAC_XL_OUT_net;
	wire [0:0] tmpFB_0__DAC_XL_OUT_net;
	wire [0:0] tmpIO_0__DAC_XL_OUT_net;
	wire [0:0] tmpINTERRUPT_0__DAC_XL_OUT_net;
	electrical [0:0] tmpSIOVREF__DAC_XL_OUT_net;

	cy_psoc3_pins_v1_10
		#(.id("89cb972f-5ac9-4758-9766-c5c73fd59412"),
		  .drive_mode(3'b000),
		  .ibuf_enabled(1'b0),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("NONCONTIGUOUS"),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("A"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(1),
		  .vtrip(2'b10),
		  .width(1))
		DAC_XL_OUT
		 (.oe(tmpOE__DAC_XL_OUT_net),
		  .y({1'b0}),
		  .fb({tmpFB_0__DAC_XL_OUT_net[0:0]}),
		  .analog({Net_278}),
		  .io({tmpIO_0__DAC_XL_OUT_net[0:0]}),
		  .siovref(tmpSIOVREF__DAC_XL_OUT_net),
		  .interrupt({tmpINTERRUPT_0__DAC_XL_OUT_net[0:0]}));

	assign tmpOE__DAC_XL_OUT_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{1'b1} : {1'b1};

    Comp_v1_10_8 COMP_XH (
        .Vplus(Net_220),
        .CmpOut(Net_274),
        .Vminus(Net_290),
        .clock(1'b0));

	wire [0:0] tmpOE__COMP_X_OUT_net;
	wire [0:0] tmpFB_0__COMP_X_OUT_net;
	wire [0:0] tmpIO_0__COMP_X_OUT_net;
	wire [0:0] tmpINTERRUPT_0__COMP_X_OUT_net;
	electrical [0:0] tmpSIOVREF__COMP_X_OUT_net;

	cy_psoc3_pins_v1_10
		#(.id("094085ef-2401-4645-80d1-c863cc7ece95"),
		  .drive_mode(3'b110),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .output_conn(1'b1),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("O"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b10),
		  .width(1))
		COMP_X_OUT
		 (.oe(tmpOE__COMP_X_OUT_net),
		  .y({Net_312}),
		  .fb({tmpFB_0__COMP_X_OUT_net[0:0]}),
		  .io({tmpIO_0__COMP_X_OUT_net[0:0]}),
		  .siovref(tmpSIOVREF__COMP_X_OUT_net),
		  .interrupt({tmpINTERRUPT_0__COMP_X_OUT_net[0:0]}));

	assign tmpOE__COMP_X_OUT_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{1'b1} : {1'b1};

    OpAmp_v1_10_9 OpAmp_X (
        .Vplus(Net_230),
        .Vout(Net_290),
        .Vminus(Net_240));
    defparam OpAmp_X.Mode = 1;


    assign Net_312 = Net_271 | Net_274;

    Comp_v1_10_10 COMP_XL (
        .Vplus(Net_290),
        .CmpOut(Net_271),
        .Vminus(Net_278),
        .clock(1'b0));

    Comp_v1_10_11 COMP_YH (
        .Vplus(Net_427),
        .CmpOut(Net_431),
        .Vminus(Net_432),
        .clock(1'b0));

    VDAC8_v1_20_12 VDAC8_YH (
        .strobe(1'b0),
        .data(8'b00000000),
        .vOut(Net_427));
    defparam VDAC8_YH.Data_Source = 0;
    defparam VDAC8_YH.Initial_Value = 100;
    defparam VDAC8_YH.Strobe_Mode = 0;

	wire [0:0] tmpOE__DAC_YH_OUT_net;
	wire [0:0] tmpFB_0__DAC_YH_OUT_net;
	wire [0:0] tmpIO_0__DAC_YH_OUT_net;
	wire [0:0] tmpINTERRUPT_0__DAC_YH_OUT_net;
	electrical [0:0] tmpSIOVREF__DAC_YH_OUT_net;

	cy_psoc3_pins_v1_10
		#(.id("455af4aa-6e6a-46ce-be49-52084bd7d322"),
		  .drive_mode(3'b000),
		  .ibuf_enabled(1'b0),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("NONCONTIGUOUS"),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("A"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(1),
		  .vtrip(2'b10),
		  .width(1))
		DAC_YH_OUT
		 (.oe(tmpOE__DAC_YH_OUT_net),
		  .y({1'b0}),
		  .fb({tmpFB_0__DAC_YH_OUT_net[0:0]}),
		  .analog({Net_427}),
		  .io({tmpIO_0__DAC_YH_OUT_net[0:0]}),
		  .siovref(tmpSIOVREF__DAC_YH_OUT_net),
		  .interrupt({tmpINTERRUPT_0__DAC_YH_OUT_net[0:0]}));

	assign tmpOE__DAC_YH_OUT_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{1'b1} : {1'b1};

    VDAC8_v1_20_13 VDAC8_YL (
        .strobe(1'b0),
        .data(8'b00000000),
        .vOut(Net_430));
    defparam VDAC8_YL.Data_Source = 0;
    defparam VDAC8_YL.Initial_Value = 100;
    defparam VDAC8_YL.Strobe_Mode = 0;

	wire [0:0] tmpOE__DAC_YL_OUT_net;
	wire [0:0] tmpFB_0__DAC_YL_OUT_net;
	wire [0:0] tmpIO_0__DAC_YL_OUT_net;
	wire [0:0] tmpINTERRUPT_0__DAC_YL_OUT_net;
	electrical [0:0] tmpSIOVREF__DAC_YL_OUT_net;

	cy_psoc3_pins_v1_10
		#(.id("8ac746b6-2116-452c-9fb6-71644aa888d5"),
		  .drive_mode(3'b000),
		  .ibuf_enabled(1'b0),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("NONCONTIGUOUS"),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("A"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(1),
		  .vtrip(2'b10),
		  .width(1))
		DAC_YL_OUT
		 (.oe(tmpOE__DAC_YL_OUT_net),
		  .y({1'b0}),
		  .fb({tmpFB_0__DAC_YL_OUT_net[0:0]}),
		  .analog({Net_430}),
		  .io({tmpIO_0__DAC_YL_OUT_net[0:0]}),
		  .siovref(tmpSIOVREF__DAC_YL_OUT_net),
		  .interrupt({tmpINTERRUPT_0__DAC_YL_OUT_net[0:0]}));

	assign tmpOE__DAC_YL_OUT_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{1'b1} : {1'b1};

	wire [0:0] tmpOE__COMP_Y_OUT_net;
	wire [0:0] tmpFB_0__COMP_Y_OUT_net;
	wire [0:0] tmpIO_0__COMP_Y_OUT_net;
	wire [0:0] tmpINTERRUPT_0__COMP_Y_OUT_net;
	electrical [0:0] tmpSIOVREF__COMP_Y_OUT_net;

	cy_psoc3_pins_v1_10
		#(.id("df8f43e8-dfa2-4d6b-ae5c-3002711da640"),
		  .drive_mode(3'b110),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .output_conn(1'b1),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("O"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b10),
		  .width(1))
		COMP_Y_OUT
		 (.oe(tmpOE__COMP_Y_OUT_net),
		  .y({Net_434}),
		  .fb({tmpFB_0__COMP_Y_OUT_net[0:0]}),
		  .io({tmpIO_0__COMP_Y_OUT_net[0:0]}),
		  .siovref(tmpSIOVREF__COMP_Y_OUT_net),
		  .interrupt({tmpINTERRUPT_0__COMP_Y_OUT_net[0:0]}));

	assign tmpOE__COMP_Y_OUT_net = (`CYDEV_CHIP_REV_LEOPARD == "ES1" || `CYDEV_CHIP_REV_LEOPARD == "ES2") ? ~{1'b1} : {1'b1};

    OpAmp_v1_10_14 OpAmp_Y (
        .Vplus(Net_435),
        .Vout(Net_432),
        .Vminus(Net_440));
    defparam OpAmp_Y.Mode = 1;

    Comp_v1_10_15 COMP_YL (
        .Vplus(Net_432),
        .CmpOut(Net_437),
        .Vminus(Net_430),
        .clock(1'b0));


    assign Net_434 = Net_437 | Net_431;



endmodule

